Calendar

Bootstrap 5 Calendar plugin

MDB calendar is a plugin that allows you to efficiently manage tasks. Thanks to this extension you will be able to easily create new events, manage current events, move existing events between other days, and store all data in an easily readable array.

Responsive Calendar plugin built with the latest Bootstrap 5. Various customization options like default view, event formats, customizable captions, and much more.

Note: Read the API tab to find all available options and advanced customization

Note: Currently, the plugin is only compatible with the basic MDB package imported in UMD format. More about import MDB formats.


Basic example

Several predefined events provide a visual representation of how the plugin appears."

March 2025
Month
SunMonTueWedThuFriSat
23
24
25
26
27
28
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
Angular Meetup
26
 
27
 
28
 
JS Conference
29
 
Vue Meetup
Meeting
30
Angular Meetup
Vue Meetup
Call
31
 
 
1
 
 
2
 
 
React Meetup
3
 
 
 
4
 
 
 
5
 
 
 
<div class="calendar" data-mdb-calendar-init id="calendar"></div>
const events = [
  {
    summary: 'JS Conference',
    start: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
  },
  {
    summary: 'Vue Meetup',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#ebcdfe',
      foreground: '#6e02b1',
    },
  },
  {
    summary: 'Angular Meetup',
    description: 'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
    start: {
      date: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY') + ' 10:00',
    },
    end: {
      date: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY') + ' 14:00',
    },
    color: {
      background: '#c7f5d9',
      foreground: '#0b4121',
    },
  },
  {
    summary: 'React Meetup',
    start: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(8, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#fdd8de',
      foreground: '#790619',
    },
  },
  {
    summary: 'Meeting',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 8:00',
    },
    end: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 12:00',
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
  },
  {
    summary: 'Call',
    start: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 11:00',
    },
    end: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 14:00',
    },
    color: {
      background: '#292929',
      foreground: '#f5f5f5',
    },
  }
  ];

  const calendarElement = document.getElementById('calendar');
  const calendarInstance = Calendar.getInstance(calendarElement);
  calendarInstance.addEvents(events);

Event formats

Calendar events can be added with time in two different formats - 12h or 24h. Optionally, you can also use the dayjs static getter which returns the current date object. We recommend reading the dayjs library documentation before using this method.

{
  summary: 'Call',
  description: 'Agree the terms of contracts',
  start: {
    date: '08/09/2020',
    dateTime: '08/09/2020 10:00',
  },
  end: {
    date: '08/09/2020',
    dateTime: '08/09/2020 14:00',
  },
  color: {
    background: '#292929',
    foreground: '#f5f5f5',
  },
}
{
  summary: 'Call',
  description: 'Agree the terms of contracts',
  start: {
    date: '08/09/2020',
    dateTime: '08/09/2020 10:00 AM',
  },
  end: {
    date: '08/09/2020',
    dateTime: '08/09/2020 02:00 PM',
  },
  color: {
    background: '#292929',
    foreground: '#f5f5f5',
  },
}
{
  summary: 'Call',
  description: 'Agree the terms of contracts',
  start: {
    date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
    dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 11:00',
  },
  end: {
    date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
    dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 14:00',
  },
  color: {
    background: '#292929',
    foreground: '#f5f5f5',
  },
}

Monday first

Set the data-mdb-monday-first attribute to true to designate Monday as the first day of the week

March 2025
Month
MonTueWedThuFriSatSun
24
25
26
27
28
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
Angular Meetup
26
 
27
 
28
 
JS Conference
29
 
Vue Meetup
Meeting
30
 
 
Call
31
Angular Meetup
Vue Meetup
1
 
 
2
 
 
React Meetup
3
 
 
 
4
 
 
 
5
 
 
 
6
<div class="calendar" id="calendar-2" data-mdb-calendar-init data-mdb-monday-first="true"></div>
const events = [
  {
    summary: 'JS Conference',
    start: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
  },
  {
    summary: 'Vue Meetup',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#ebcdfe',
      foreground: '#6e02b1',
    },
  },
  {
    summary: 'Angular Meetup',
    description: 'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
    start: {
      date: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY') + ' 10:00',
    },
    end: {
      date: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY') + ' 14:00',
    },
    color: {
      background: '#c7f5d9',
      foreground: '#0b4121',
    },
  },
  {
    summary: 'React Meetup',
    start: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(8, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#fdd8de',
      foreground: '#790619',
    },
  },
  {
    summary: 'Meeting',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 8:00',
    },
    end: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 12:00',
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
  },
  {
    summary: 'Call',
    start: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 11:00',
    },
    end: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 14:00',
    },
    color: {
      background: '#292929',
      foreground: '#f5f5f5',
    },
  }
];

const calendarElement = document.getElementById('calendar-2');
const calendarInstance = Calendar.getInstance(calendarElement);
calendarInstance.addEvents(events);

Default view

Set the data-mdb-default-view attribute to week or list to change the start view. By default, it is a month.

March 2025
Week
Sun
23
Mon
24
Tue
25
Wed
26
Thu
27
Fri
28
Sat
29
Angular Meetup
 
 
 
JS Conference
 
Vue Meetup
Meeting
1:00
2:00
3:00
4:00
5:00
6:00
7:00
8:00
Meeting
9:00
Meeting
10:00
Meeting
11:00
Meeting
12:00
13:00
14:00
15:00
16:00
17:00
18:00
19:00
20:00
21:00
22:00
23:00
<div class="calendar" id="calendar-3" data-mdb-calendar-init data-mdb-default-view="week"></div>
const events = [
  {
    summary: 'JS Conference',
    start: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
  },
  {
    summary: 'Vue Meetup',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#ebcdfe',
      foreground: '#6e02b1',
    },
  },
  {
    summary: 'Angular Meetup',
    description: 'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
    start: {
      date: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY') + ' 10:00',
    },
    end: {
      date: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY') + ' 14:00',
    },
    color: {
      background: '#c7f5d9',
      foreground: '#0b4121',
    },
  },
  {
    summary: 'React Meetup',
    start: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(8, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#fdd8de',
      foreground: '#790619',
    },
  },
  {
    summary: 'Meeting',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 8:00',
    },
    end: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 12:00',
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
  },
  {
    summary: 'Call',
    start: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 11:00',
    },
    end: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 14:00',
    },
    color: {
      background: '#292929',
      foreground: '#f5f5f5',
    },
  }
];

const calendarElement = document.getElementById('calendar-3');
const calendarInstance = Calendar.getInstance(calendarElement);
calendarInstance.addEvents(events);

Twelve hour

By setting the data-mdb-twelve-hour attribute to true, you get a 12-hour schedule.

March 2025
Week
Sun
23
Mon
24
Tue
25
Wed
26
Thu
27
Fri
28
Sat
29
Angular Meetup
 
 
 
JS Conference
 
Vue Meetup
Meeting
1:00 am
2:00 am
3:00 am
4:00 am
5:00 am
6:00 am
7:00 am
8:00 am
Meeting
9:00 am
Meeting
10:00 am
Meeting
11:00 am
Meeting
12:00 pm
1:00 pm
2:00 pm
3:00 pm
4:00 pm
5:00 pm
6:00 pm
7:00 pm
8:00 pm
9:00 pm
10:00 pm
11:00 pm
<div class="calendar" id="calendar-4" data-mdb-calendar-init data-mdb-default-view="week" data-mdb-twelve-hour="true"></div>
const events = [
  {
    summary: 'JS Conference',
    start: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
  },
  {
    summary: 'Vue Meetup',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#ebcdfe',
      foreground: '#6e02b1',
    },
  },
  {
    summary: 'Angular Meetup',
    description: 'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
    start: {
      date: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY') + ' 10:00 AM',
    },
    end: {
      date: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY') + ' 02:00 PM',
    },
    color: {
      background: '#c7f5d9',
      foreground: '#0b4121',
    },
  },
  {
    summary: 'React Meetup',
    start: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(8, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#fdd8de',
      foreground: '#790619',
    },
  },
  {
    summary: 'Meeting',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 8:00 AM',
    },
    end: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 12:00 PM',
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
  },
  {
    summary: 'Call',
    start: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 11:00 AM',
    },
    end: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 02:00 PM',
    },
    color: {
      background: '#292929',
      foreground: '#f5f5f5',
    },
  }
];

const calendarElement = document.getElementById('calendar-4');
const calendarInstance = Calendar.getInstance(calendarElement);
calendarInstance.addEvents(events);

Customize captions

You can effortlessly customize all captions using data attributes. Available options are listed in the API tab.

Marzec 2025
Miesiąc
NdPonWtŚrCzwPtSb
23
24
25
26
27
28
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
Angular Meetup
26
 
27
 
28
 
JS Conference
29
 
Vue Meetup
Meeting
30
Angular Meetup
Vue Meetup
Call
31
 
 
1
 
 
2
 
 
React Meetup
3
 
 
 
4
 
 
 
5
 
 
 
<div
  class="calendar"
  data-mdb-calendar-init
  id="calendar-5"
  data-mdb-weekdays="Nd, Pon, Wt, Śr, Czw, Pt, Sb"
  data-mdb-months="Styczeń, Luty, Marzec, Kwiecień, Maj, Czerwiec, Lipiec, Sierpień, Wrzesień, Październik, Listopad, Grudzień"
  data-mdb-months-short="Sty, Lut, Mar, Kwi, Maj, Cze, Lip, Sie, Wrz, Paź, Lis, Gru"
  data-mdb-today-caption="Dzisiaj"
  data-mdb-month-caption="Miesiąc"
  data-mdb-week-caption="Tydzień"
  data-mdb-list-caption="Lista"
  data-mdb-all-day-caption="Cały dzień"
  data-mdb-no-events-caption="Brak wydarzeń"
  data-mdb-summary-caption="Nazwa wydarzenia"
  data-mdb-description-caption="Szczegółowy opis wydarzenia"
  data-mdb-start-caption="Początek"
  data-mdb-end-caption="Koniec"
  data-mdb-add-event-modal-caption="Dodaj wydarzenie"
  data-mdb-edit-event-modal-caption="Edytuj wydarzenie"
  data-mdb-add-caption="Dodaj"
  data-mdb-save-caption="Zapisz"
  data-mdb-delete-caption="Usuń"
  data-mdb-close-caption="Zamknij"
  data-mdb-add-event-caption="Dodaj wydarzenie"
></div>
const events = [
  {
    summary: 'JS Conference',
    start: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
  },
  {
    summary: 'Vue Meetup',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#ebcdfe',
      foreground: '#6e02b1',
    },
  },
  {
    summary: 'Angular Meetup',
    description: 'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
    start: {
      date: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY') + ' 10:00',
    },
    end: {
      date: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY') + ' 14:00',
    },
    color: {
      background: '#c7f5d9',
      foreground: '#0b4121',
    },
  },
  {
    summary: 'React Meetup',
    start: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(8, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#fdd8de',
      foreground: '#790619',
    },
  },
  {
    summary: 'Meeting',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 8:00',
    },
    end: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 12:00',
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
  },
  {
    summary: 'Call',
    start: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 11:00',
    },
    end: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 14:00',
    },
    color: {
      background: '#292929',
      foreground: '#f5f5f5',
    },
  }
];

const calendarElement = document.getElementById('calendar-5');
const calendarInstance = Calendar.getInstance(calendarElement);
calendarInstance.addEvents(events);

Customize pickers

You can customize datepicker and timepicker displayed in the calendar changing options availible in the API tab of respected pickers.

March 2025
Month
SunMonTueWedThuFriSat
23
24
25
26
27
28
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
Angular Meetup
26
 
27
 
28
 
JS Conference
29
 
Vue Meetup
Meeting
30
Angular Meetup
Vue Meetup
Call
31
 
 
1
 
 
2
 
 
React Meetup
3
 
 
 
4
 
 
 
5
 
 
 
<div id="calendar-with-custom-pickers"></div>
const events = [
  {
    summary: 'JS Conference',
    start: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
  },
  {
    summary: 'Vue Meetup',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#ebcdfe',
      foreground: '#6e02b1',
    },
  },
  {
    summary: 'Angular Meetup',
    description: 'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nullpariatur',
    start: {
    date: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY') + ' 10:00',
},
  end: {
    date: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY') + ' 14:00',
  },
    color: {
      background: '#c7f5d9',
        foreground: '#0b4121',
    },
},
  {
    summary: 'React Meetup',
      start: {
        date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
      },
        end: {
          date: Calendar.dayjs().add(8, 'day').format('DD/MM/YYYY'),
        },
          color: {
            background: '#fdd8de',
              foreground: '#790619',
          },
  },
    {
      summary: 'Meeting',
        start: {
          date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
            dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 8:00',
        },
          end: {
            date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
              dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 12:00',
          },
            color: {
              background: '#cfe0fc',
                foreground: '#0a47a9',
            },
    },
      {
        summary: 'Call',
          start: {
            date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
              dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 11:00',
          },
            end: {
              date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
                dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 14:00',
            },
              color: {
                background: '#292929',
                  foreground: '#f5f5f5',
              },
      }
];


  const calendarElement = document.getElementById('calendar-with-custom-pickers');
  calendarElement.classList.add('calendar');
  const calendarInstance = new Calendar(calendarElement, {
    events: events,
    timepickerOptions: {
      clearLabel: "Example Clear",
    },
    datepickerOptions: {
      okBtnText: "Example Ok",
    }
  });

Default date

A starting day can be easily set using the data-mdb-default-date attribute.

December 2024
Month
SunMonTueWedThuFriSat
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
1
2
3
4
5
6
7
8
9
10
11
<div class="calendar" id="calendar-6" data-mdb-calendar-init data-mdb-default-date="01-12-2024"></div>
const events = [
  {
    summary: 'JS Conference',
    start: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
  },
  {
    summary: 'Vue Meetup',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#ebcdfe',
      foreground: '#6e02b1',
    },
  },
  {
    summary: 'Angular Meetup',
    description: 'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
    start: {
      date: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY') + ' 10:00',
    },
    end: {
      date: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY') + ' 14:00',
    },
    color: {
      background: '#c7f5d9',
      foreground: '#0b4121',
    },
  },
  {
    summary: 'React Meetup',
    start: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(8, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#fdd8de',
      foreground: '#790619',
    },
  },
  {
    summary: 'Meeting',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 8:00',
    },
    end: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 12:00',
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
  },
  {
    summary: 'Call',
    start: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 11:00',
    },
    end: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 14:00',
    },
    color: {
      background: '#292929',
      foreground: '#f5f5f5',
    },
  }
];

const calendarElement = document.getElementById('calendar-6');
const calendarInstance = Calendar.getInstance(calendarElement);
calendarInstance.addEvents(events);

Readonly

The editable mode can be easily disabled using the data-mdb-readonly attribute.

March 2025
Month
SunMonTueWedThuFriSat
23
24
25
26
27
28
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
Angular Meetup
26
 
27
 
28
 
JS Conference
29
 
Vue Meetup
Meeting
30
Angular Meetup
Vue Meetup
Call
31
 
 
1
 
 
2
 
 
React Meetup
3
 
 
 
4
 
 
 
5
 
 
 
<div class="calendar" id="calendar-7" data-mdb-calendar-init data-mdb-readonly="true"></div>
const events = [
  {
    summary: 'JS Conference',
    start: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
  },
  {
    summary: 'Vue Meetup',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#ebcdfe',
      foreground: '#6e02b1',
    },
  },
  {
    summary: 'Angular Meetup',
    description: 'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
    start: {
      date: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY') + ' 10:00',
    },
    end: {
      date: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY') + ' 14:00',
    },
    color: {
      background: '#c7f5d9',
      foreground: '#0b4121',
    },
  },
  {
    summary: 'React Meetup',
    start: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(8, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#fdd8de',
      foreground: '#790619',
    },
  },
  {
    summary: 'Meeting',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 8:00',
    },
    end: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 12:00',
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
  },
  {
    summary: 'Call',
    start: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 11:00',
    },
    end: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 14:00',
    },
    color: {
      background: '#292929',
      foreground: '#f5f5f5',
    },
  }
];

const calendarElement = document.getElementById('calendar-7');
const calendarInstance = Calendar.getInstance(calendarElement);
calendarInstance.addEvents(events);

Readonly events

The editable mode for any event can be easily disabled by adding readonly attribute in the event's dataset.

March 2025
Month
SunMonTueWedThuFriSat
23
24
25
26
27
28
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
Readonly event
26
 
27
 
28
 
Readonly event
29
 
Vue Meetup
Meeting
30
Readonly event
Vue Meetup
Readonly event
31
 
 
1
 
 
2
 
 
React Meetup
3
 
 
 
4
 
 
 
5
 
 
 
<div class="calendar" data-mdb-calendar-init id="calendar-8"></div>
const events = [
  {
    summary: 'Readonly event',
    start: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
    readonly: true
  },
  {
    summary: 'Vue Meetup',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#ebcdfe',
      foreground: '#6e02b1',
    },
  },
  {
    summary: 'Readonly event',
    description:
      'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
    start: {
      date: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY') + ' 10:00',
    },
    end: {
      date: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY') + ' 14:00',
    },
    color: {
      background: '#c7f5d9',
      foreground: '#0b4121',
    },
    readonly: true
  },
  {
    summary: 'React Meetup',
    start: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(8, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#fdd8de',
      foreground: '#790619',
    },
  },
  {
    summary: 'Meeting',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 8:00',
    },
    end: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 12:00',
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
  },
  {
    summary: 'Readonly event',
    start: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 11:00',
    },
    end: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 14:00',
    },
    color: {
      background: '#292929',
      foreground: '#f5f5f5',
    },
    readonly: true
  }
];

const calendarElement = document.getElementById('calendar-8');
const calendarInstance = Calendar.getInstance(calendarElement);
calendarInstance.addEvents(events);

Disabled modules

Some of the modules can be disabled via data attributes or JavaScript. Here's an example without tooltips and some toolbar action elements.

March 2025
SunMonTueWedThuFriSat
23
24
25
26
27
28
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
Angular Meetup
26
 
27
 
28
 
JS Conference
29
 
Vue Meetup
Meeting
30
Angular Meetup
Vue Meetup
Call
31
 
 
1
 
 
2
 
 
React Meetup
3
 
 
 
4
 
 
 
5
 
 
 
<div class="calendar" id="calendar-9" data-mdb-calendar-init data-mdb-tooltips="false" data-mdb-navigation="false" data-mdb-view-select="false" data-mdb-add-event-button="false"></div>
const events = [
  {
    summary: 'JS Conference',
    start: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
  },
  {
    summary: 'Vue Meetup',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#ebcdfe',
      foreground: '#6e02b1',
    },
  },
  {
    summary: 'Angular Meetup',
    description:
      'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
    start: {
      date: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY') + ' 10:00',
    },
    end: {
      date: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY') + ' 14:00',
    },
    color: {
      background: '#c7f5d9',
      foreground: '#0b4121',
    },
  },
  {
    summary: 'React Meetup',
    start: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(8, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#fdd8de',
      foreground: '#790619',
    },
  },
  {
    summary: 'Meeting',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 8:00',
    },
    end: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 12:00',
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
  },
  {
    summary: 'Call',
    start: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 11:00',
    },
    end: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 14:00',
    },
    color: {
      background: '#292929',
      foreground: '#f5f5f5',
    },
  }
];

const calendarElement = document.getElementById('calendar-9');
const calendarInstance = Calendar.getInstance(calendarElement);
calendarInstance.addEvents(events);

Blur

Past events can be blurred with the data-mdb-blur attribute.

March 2025
Month
SunMonTueWedThuFriSat
23
24
25
26
27
28
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
Angular Meetup
26
 
27
 
28
 
JS Conference
29
 
Vue Meetup
Meeting
30
Angular Meetup
Vue Meetup
Call
31
 
 
1
 
 
2
 
 
React Meetup
3
 
 
 
4
 
 
 
5
 
 
 
<div class="calendar" data-mdb-calendar-init id="calendar-10" data-mdb-blur="true"></div>
const events = [
  {
    summary: 'JS Conference',
    start: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
  },
  {
    summary: 'Vue Meetup',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#ebcdfe',
      foreground: '#6e02b1',
    },
  },
  {
    summary: 'Angular Meetup',
    description:
      'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
    start: {
      date: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY') + ' 10:00',
    },
    end: {
      date: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY') + ' 14:00',
    },
    color: {
      background: '#c7f5d9',
      foreground: '#0b4121',
    },
  },
  {
    summary: 'React Meetup',
    start: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(8, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#fdd8de',
      foreground: '#790619',
    },
  },
  {
    summary: 'Meeting',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 8:00',
    },
    end: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 12:00',
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
  },
  {
    summary: 'Call',
    start: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 11:00',
    },
    end: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 14:00',
    },
    color: {
      background: '#292929',
      foreground: '#f5f5f5',
    },
  }
];

const calendarElement = document.getElementById('calendar-10');
const calendarInstance = Calendar.getInstance(calendarElement);
calendarInstance.addEvents(events);

Custom attributes

You can add your own attributes to existing and new events. Below is an example with the id attribute.

March 2025
Month
SunMonTueWedThuFriSat
23
24
25
26
27
28
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
Angular Meetup
26
 
27
 
28
 
JS Conference
29
 
Vue Meetup
Meeting
30
Angular Meetup
Vue Meetup
Call
31
 
 
1
 
 
2
 
 
React Meetup
3
 
 
 
4
 
 
 
5
 
 
 
<div id="calendar-11"></div>
const events = [
  {
    summary: 'JS Conference',
    start: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().format('DD/MM/YYYY'),
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
    id: 1
  },
  {
    summary: 'Vue Meetup',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#ebcdfe',
      foreground: '#6e02b1',
    },
    id: 2
  },
  {
    summary: 'Angular Meetup',
    description:
      'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
    start: {
      date: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().subtract(3, 'day').format('DD/MM/YYYY') + ' 10:00',
    },
    end: {
      date: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(3, 'day').format('DD/MM/YYYY') + ' 14:00',
    },
    color: {
      background: '#c7f5d9',
      foreground: '#0b4121',
    },
    id: 3
  },
  {
    summary: 'React Meetup',
    start: {
      date: Calendar.dayjs().add(5, 'day').format('DD/MM/YYYY'),
    },
    end: {
      date: Calendar.dayjs().add(8, 'day').format('DD/MM/YYYY'),
    },
    color: {
      background: '#fdd8de',
      foreground: '#790619',
    },
    id: 4
  },
  {
    summary: 'Meeting',
    start: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 8:00',
    },
    end: {
      date: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(1, 'day').format('DD/MM/YYYY') + ' 12:00',
    },
    color: {
      background: '#cfe0fc',
      foreground: '#0a47a9',
    },
    id: 5
  },
  {
    summary: 'Call',
    start: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 11:00',
    },
    end: {
      date: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY'),
      dateTime: Calendar.dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 14:00',
    },
    color: {
      background: '#292929',
      foreground: '#f5f5f5',
    },
    id: 6
  }
];

const calendarElement = document.getElementById('calendar-11');
calendarElement.classList.add('calendar');
let newEventId = events.length;

const calendarInstance = new Calendar(calendarElement, {
  newEventAttributes: (event) => {
    newEventId++;

    return {
      ...event,
      id: newEventId
    }
  }
});

calendarInstance.addEvents(events);

calendarElement.addEventListener('addEvent.mdb.calendar', (e) => {
  console.log(e.event);
  console.log(calendarInstance.events);
});

Calendar - API


Import

import Calendar from 'mdb-calendar';
@import '~mdb-calendar/css/calendar.min.css';

Usage

Via data attributes

Using the Calendar plugin doesn't require any additional JavaScript code - simply add data-mdb-calendar-init attribute to .calendar and use other data attributes to set all options.

<div class="calendar" data-mdb-calendar-init></div>

Via JavaScript

const element = document.querySelector('.calendar');
const instance = new Calendar(calendarElement);

Via jQuery

Note: By default, MDB does not include jQuery and you have to add it to the project on your own.

$(document).ready(() => {
  $('#calendar').calendar('next');
});

Options

Options can be passed via data attributes or JavaScript. For data attributes, append the option name to data-mdb-, as in data-mdb-readonly="".

Name Type Default Description
weekdays Array | String ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'] Defines weekdays displayed names.
months Array | String ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'] Defines months displayed names.
monthsShort Array | String ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'] Defines shortened months displayed names.
mondayFirst Boolean false Changes first day of week to monday.
defaultView String 'month' Defines default view.
twelveHour Boolean false Changes time mode from 24h to 12h.
defaultDate Object | String dayjs() Defines the default starting date.
readonly Boolean false Disables event's edition.
todayCaption String 'Today' Defines caption for today.
monthCaption String 'Month' Defines caption for month option.
weekCaption String 'Week' Defines caption for week option.
listCaption String 'List' Defines caption for list option.
allDayCaption String 'All day event' Defines caption for all day event checkbox.
noEventsCaption String 'No events' Defines caption for empty list view.
summaryCaption String 'Summary' Defines caption for summary input label.
descriptionCaption String 'Description' Defines caption for description input label.
startCaption String 'Start' Defines caption for start input label.
endCaption String 'End' Defines caption for end input label.
addCaption String 'Add' Defines caption for add event button.
deleteCaption String 'Remove' Defines caption for remove event button.
saveCaption String 'Save' Defines caption for save event button.
closeCaption String 'Close' Defines caption for close button.
addEventCaption String 'Add event' Defines caption for button that trigger the add event modal.
addEventModalCaption String 'Add an event' Defines caption for add event modal title.
editEventModalCaption String 'Edit an event' Defines caption for edit event modal title.
events Array of Objects [] Defines calendar events.
tooltips Boolean true Enables tooltips.
navigation Boolean true Enables navigation.
viewSelect Boolean true Enables viewSelect.
addEventButton Boolean true Enables addEventButton.
blur Boolean false Enables past events blur style.
newEventAttributes Function (event) => event Modifies new events attributes.
datepickerOptions Object {} Allow setting custom options for datepicker displayed in the calendar.
timepickerOptions Object {} Allow setting custom options for timepicker displayed in the calendar.
dateFormat String 'DD/MM/YYY' Allow setting custom date format in the calendar.

Methods

Name Parameters Description Example
init Initializes the calendar. instance.init()
prev Changes the period of time to previous. instance.prev()
next Changes the period of time to next. instance.next()
today Changes the period of time to today. instance.today()
changeView view Changes the view. instance.changeView('week')
refresh Refreshes the calendar. instance.refresh()
addEvents events Adds new events to the calendar. instance.addEvents([...])
removeEvents Removes all events from the calendar. instance.removeEvents()
dispose Disposes a calendar instance. instance.dispose()
dayjs Static method which returns a dayjs function. Calendar.dayjs()
getInstance Static method which allows you to get the calendar instance associated with a DOM element. Calendar.getInstance(calendarElement)
const calendarElement = document.getElementById('calendar');
const instance = Calendar.getInstance(calendarElement);
instance.next();

Events

Name Description
prev.mdb.calendar Emitted when the prev method triggers.
next.mdb.calendar Emitted when the next method triggers.
today.mdb.calendar Emitted when the today method triggers.
viewChange.mdb.calendar Emitted when the changeView method triggers.
update.mdb.calendar Emitted when the refresh method triggers.
addEvent.mdb.calendar Emitted when a new event is added. Returns a new event object.
editEvent.mdb.calendar Emitted when any event is editted. Returns an editted event object.
deleteEvent.mdb.calendar Emitted when any event is deleted. Returns a deleted event object.
window.addEventListener('next.mdb.calendar', () => {
  alert('Time period changed'));
}

Calendar

Vue Bootstrap 5 Calendar plugin

MDB calendar is a plugin that allows you to efficiently manage tasks. Thanks to this extension you will be able to easily create new events, manage current events, move existing events between other days, and store all data in an easily readable array.

Responsive Calendar plugin built with the latest Bootstrap 5 and Vue 3. Various customization options like default view, event formats, customizable captions, and much more.

Note: Read the API tab to find all available options and advanced customization


Basic example

A few predefined events allowing you to see how the plugin looks like.

April 2025
Month
SunMonTueWedThuFriSat
30
31
1
2
3
4
5
Angular Meetup
6
Angular Meetup
7
 
8
 
JS Conference
9
 
Vue Meetup
Meeting
10
 
 
Call
11
 
 
12
 
 
13
 
Vue Meetup
React Meetup
14
 
 
 
15
 
 
 
16
 
 
 
17
18
19
20
21
22
23
24
25
26
27
28
29
30
1
2
3
4
5
6
7
8
9
10
<template>
  <MDBCalendar ref="basicCalendar" :events="basicEvents" />
</template>
<script>
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";
  export default {
    components: {
      MDBCalendar
    },
    setup() {
      const basicCalendar = ref(null);
      const basicEvents = ref([
        {
          summary: "JS Conference",
          start: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
        },
        {
          summary: "Vue Meetup",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#ebcdfe",
            foreground: "#6e02b1",
          },
        },
        {
          summary: "Angular Meetup",
          description:
            "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
          start: {
            date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
          },
          end: {
            date: dayjs().add(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#c7f5d9",
            foreground: "#0b4121",
          },
        },
        {
          summary: "React Meetup",
          start: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(8, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#fdd8de",
            foreground: "#790619",
          },
        },
        {
          summary: "Meeting",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
          },
          end: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
        },
        {
          summary: "Call",
          start: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
          },
          end: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#292929",
            foreground: "#f5f5f5",
          },
        },
      ]);

      return {
        basicCalendar,
        basicEvents
      };
    }
  };
</script>
<script setup lang="ts">
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";


  const basicCalendar = ref(null);
  const basicEvents = ref([
    {
      summary: "JS Conference",
      start: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
    },
    {
      summary: "Vue Meetup",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#ebcdfe",
        foreground: "#6e02b1",
      },
    },
    {
      summary: "Angular Meetup",
      description:
        "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
      start: {
        date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
      },
      end: {
        date: dayjs().add(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#c7f5d9",
        foreground: "#0b4121",
      },
    },
    {
      summary: "React Meetup",
      start: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(8, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#fdd8de",
        foreground: "#790619",
      },
    },
    {
      summary: "Meeting",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
      },
      end: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
    },
    {
      summary: "Call",
      start: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
      },
      end: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#292929",
        foreground: "#f5f5f5",
      },
    },
  ]);

</script>

Event formats

Calendar events can be added with time in two different formats - 12h or 24h. Optionally, you can also use external time libraries like moment or dayjs.

{
  summary: 'Call',
  start: {
    date: '08/09/2020',
    dateTime: '08/09/2020 10:00',
  },
  end: {
    date: '08/09/2020',
    dateTime: '08/09/2020 14:00',
  },
  color: {
    background: '#292929',
    foreground: '#f5f5f5',
  },
}
{
  summary: 'Call',
  start: {
    date: '08/09/2020',
    dateTime: '08/09/2020 10:00 AM',
  },
  end: {
    date: '08/09/2020',
    dateTime: '08/09/2020 02:00 PM',
  },
  color: {
    background: '#292929',
    foreground: '#f5f5f5',
  },
}
{
  summary: 'Call',
  start: {
    date: dayjs().add(2, 'day').format('DD/MM/YYYY'),
    dateTime: dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 11:00',
  },
  end: {
    date: dayjs().add(2, 'day').format('DD/MM/YYYY'),
    dateTime: dayjs().add(2, 'day').format('DD/MM/YYYY') + ' 14:00',
  },
  color: {
    background: '#292929',
    foreground: '#f5f5f5',
  },
}

Monday first

Set the mondayFirst property to true so that Monday is the first day of the week.

April 2025
Month
MonTueWedThuFriSatSun
31
1
2
3
4
5
Angular Meetup
6
 
7
Angular Meetup
8
 
JS Conference
9
 
Vue Meetup
Meeting
10
 
 
Call
11
 
 
12
 
 
13
 
 
React Meetup
14
 
 
React Meetup
15
 
 
 
16
 
 
 
17
18
19
20
21
22
23
24
25
26
27
28
29
30
1
2
3
4
5
6
7
8
9
10
11
<template>
  <MDBCalendar
    ref="mondayFirstCalendar"
    :events="mondayFirstEvents"
    mondayFirst
  />
</template>
<script>
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";
  export default {
    components: {
      MDBCalendar
    },
    setup() {
      const mondayFirstCalendar = ref(null);
      const mondayFirstEvents = ref([
        {
          summary: "JS Conference",
          start: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
        },
        {
          summary: "Vue Meetup",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#ebcdfe",
            foreground: "#6e02b1",
          },
        },
        {
          summary: "Angular Meetup",
          description:
            "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
          start: {
            date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
          },
          end: {
            date: dayjs().add(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#c7f5d9",
            foreground: "#0b4121",
          },
        },
        {
          summary: "React Meetup",
          start: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(8, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#fdd8de",
            foreground: "#790619",
          },
        },
        {
          summary: "Meeting",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
          },
          end: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
        },
        {
          summary: "Call",
          start: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
          },
          end: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#292929",
            foreground: "#f5f5f5",
          },
        },
      ]);
      return {
        mondayFirstCalendar,
        mondayFirstEvents
      };
    }
  };
</script>
<script setup lang="ts">
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";

  const mondayFirstCalendar = ref(null);
  const mondayFirstEvents = ref([
    {
      summary: "JS Conference",
      start: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
    },
    {
      summary: "Vue Meetup",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#ebcdfe",
        foreground: "#6e02b1",
      },
    },
    {
      summary: "Angular Meetup",
      description:
        "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
      start: {
        date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
      },
      end: {
        date: dayjs().add(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#c7f5d9",
        foreground: "#0b4121",
      },
    },
    {
      summary: "React Meetup",
      start: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(8, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#fdd8de",
        foreground: "#790619",
      },
    },
    {
      summary: "Meeting",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
      },
      end: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
    },
    {
      summary: "Call",
      start: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
      },
      end: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#292929",
        foreground: "#f5f5f5",
      },
    },
  ]);
</script>

Default view

Set the defaultView property to week or list to change the start view. By default, it is a month.

April 2025
Week
Sun
06
Mon
07
Tue
08
Wed
09
Thu
10
Fri
11
Sat
12
Angular Meetup
 
 
JS Conference
 
Vue Meetup
Meeting
 
 
Call
 
 
 
 
1:00
2:00
3:00
4:00
5:00
6:00
7:00
8:00
Meeting
9:00
Meeting
10:00
Meeting
11:00
Meeting
Call
12:00
Call
13:00
Call
14:00
15:00
16:00
17:00
18:00
19:00
20:00
21:00
22:00
23:00
<template>
  <MDBCalendar
    ref="defaultViewCalendar"
    :events="defaultViewEvents"
    defaultView="week"
  />
</template>
<script>
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";
  export default {
    components: {
      MDBCalendar
    },
    setup() {
      const defaultViewCalendar = ref(null);
      const defaultViewEvents = ref([
        {
          summary: "JS Conference",
          start: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
        },
        {
          summary: "Vue Meetup",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#ebcdfe",
            foreground: "#6e02b1",
          },
        },
        {
          summary: "Angular Meetup",
          description:
            "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
          start: {
            date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
          },
          end: {
            date: dayjs().add(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#c7f5d9",
            foreground: "#0b4121",
          },
        },
        {
          summary: "React Meetup",
          start: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(8, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#fdd8de",
            foreground: "#790619",
          },
        },
        {
          summary: "Meeting",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
          },
          end: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
        },
        {
          summary: "Call",
          start: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
          },
          end: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#292929",
            foreground: "#f5f5f5",
          },
        },
      ]);
      return {
        defaultViewCalendar,
        defaultViewEvents
      };
    }
  };
</script>
<script setup lang="ts">
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";

  const defaultViewCalendar = ref(null);
  const defaultViewEvents = ref([
    {
      summary: "JS Conference",
      start: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
    },
    {
      summary: "Vue Meetup",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#ebcdfe",
        foreground: "#6e02b1",
      },
    },
    {
      summary: "Angular Meetup",
      description:
        "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
      start: {
        date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
      },
      end: {
        date: dayjs().add(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#c7f5d9",
        foreground: "#0b4121",
      },
    },
    {
      summary: "React Meetup",
      start: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(8, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#fdd8de",
        foreground: "#790619",
      },
    },
    {
      summary: "Meeting",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
      },
      end: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
    },
    {
      summary: "Call",
      start: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
      },
      end: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#292929",
        foreground: "#f5f5f5",
      },
    },
  ]);
</script>

Twelve hour

By adding the twelveHour property, you get a 12-hour schedule.

April 2025
Week
Sun
06
Mon
07
Tue
08
Wed
09
Thu
10
Fri
11
Sat
12
1:00 am
2:00 am
3:00 am
4:00 am
5:00 am
6:00 am
7:00 am
8:00 am
9:00 am
10:00 am
11:00 am
12:00 pm
1:00 pm
2:00 pm
3:00 pm
4:00 pm
5:00 pm
6:00 pm
7:00 pm
8:00 pm
9:00 pm
10:00 pm
11:00 pm
April 2025
Week
Sun
06
Mon
07
Tue
08
Wed
09
Thu
10
Fri
11
Sat
12
Angular Meetup
 
 
JS Conference
 
Vue Meetup
Meeting
 
 
Call
 
 
 
 
1:00 am
2:00 am
3:00 am
4:00 am
5:00 am
6:00 am
7:00 am
8:00 am
Meeting
9:00 am
Meeting
10:00 am
Meeting
11:00 am
Meeting
Call
12:00 pm
Call
1:00 pm
Call
2:00 pm
3:00 pm
4:00 pm
5:00 pm
6:00 pm
7:00 pm
8:00 pm
9:00 pm
10:00 pm
11:00 pm
<template>
  <MDBCalendar
    ref="twelveHourCalendar"
    :events="twelveHourEvents"
    defaultView="week"
    twelveHour
  />
</template>
<script>
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";
  export default {
    components: {
      MDBCalendar
    },
    setup() {
      const twelveHourCalendar = ref(null);
      const twelveHourEvents = ref([
        {
          summary: "JS Conference",
          start: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
        },
        {
          summary: "Vue Meetup",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#ebcdfe",
            foreground: "#6e02b1",
          },
        },
        {
          summary: "Angular Meetup",
          description:
            "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
          start: {
            date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
            dateTime:
              dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00 AM",
          },
          end: {
            date: dayjs().add(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 02:00 PM",
          },
          color: {
            background: "#c7f5d9",
            foreground: "#0b4121",
          },
        },
        {
          summary: "React Meetup",
          start: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(8, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#fdd8de",
            foreground: "#790619",
          },
        },
        {
          summary: "Meeting",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00 AM",
          },
          end: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00 PM",
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
        },
        {
          summary: "Call",
          start: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00 AM",
          },
          end: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 02:00 PM",
          },
          color: {
            background: "#292929",
            foreground: "#f5f5f5",
          },
        },
      ]);
      return {
        twelveHourCalendar,
        twelveHourEvents
      };
    }
  };
</script>
<script setup lang="ts">
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";

  const twelveHourCalendar = ref(null);
  const twelveHourEvents = ref([
    {
      summary: "JS Conference",
      start: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
    },
    {
      summary: "Vue Meetup",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#ebcdfe",
        foreground: "#6e02b1",
      },
    },
    {
      summary: "Angular Meetup",
      description:
        "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
      start: {
        date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
        dateTime:
          dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00 AM",
      },
      end: {
        date: dayjs().add(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 02:00 PM",
      },
      color: {
        background: "#c7f5d9",
        foreground: "#0b4121",
      },
    },
    {
      summary: "React Meetup",
      start: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(8, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#fdd8de",
        foreground: "#790619",
      },
    },
    {
      summary: "Meeting",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00 AM",
      },
      end: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00 PM",
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
    },
    {
      summary: "Call",
      start: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00 AM",
      },
      end: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 02:00 PM",
      },
      color: {
        background: "#292929",
        foreground: "#f5f5f5",
      },
    },
  ]);
</script>

Customize captions

You can customize all captions very easily using data attributes. Detailed options are described in the API tab.

Kwiecień 2025
Miesiąc
NdPonWtŚrCzwPtSb
30
31
1
2
3
4
5
Angular Meetup
6
Angular Meetup
7
 
8
 
JS Conference
9
 
Vue Meetup
Meeting
10
 
 
Call
11
 
 
12
 
 
13
 
Vue Meetup
React Meetup
14
 
 
 
15
 
 
 
16
 
 
 
17
18
19
20
21
22
23
24
25
26
27
28
29
30
1
2
3
4
5
6
7
8
9
10
<template>
  <MDBCalendar
    ref="customCaptionCalendar"
    :events="customCaptionEvents"
    :weekdays="['Nd', 'Pon', 'Wt', 'Śr', 'Czw', 'Pt', 'Sb']"
    :months="['Styczeń','Luty','Marzec','Kwiecień','Maj','Czerwiec','Lipiec','Sierpień','Wrzesień','Październik','Listopad','Grudzień']"
    :monthsShort="['Sty','Lut','Mar','Kwi','Maj','Cze','Lip','Sie','Wrz','Paź','Lis','Gru']"
    todayCaption="Dzisiaj"
    monthCaption="Miesiąc"
    weekCaption="Tydzień"
    listCaption="Lista"
    allDayCaption="Cały dzień"
    noEventsCaption="Brak wydarzeń"
    summaryCaption="Nazwa wydarzenia"
    descriptionCaption="Szczegółowy opis wydarzenia"
    startCaption="Początek"
    endCaption="Koniec"
    addEventModalCaption="Dodaj wydarzenie"
    editEventModalCaption="Edytuj wydarzenie"
    addCaption="Dodaj"
    saveCaption="Zapisz"
    deleteCaption="Usuń"
    closeCaption="Zamknij"
    addEventCaption="Dodaj wydarzenie"
  />
</template>
<script>
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";
  export default {
    components: {
      MDBCalendar
    },
    setup() {
      const customCaptionCalendar = ref(null);
      const customCaptionEvents = ref([
        {
          summary: "JS Conference",
          start: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
        },
        {
          summary: "Vue Meetup",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#ebcdfe",
            foreground: "#6e02b1",
          },
        },
        {
          summary: "Angular Meetup",
          description:
            "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
          start: {
            date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
          },
          end: {
            date: dayjs().add(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#c7f5d9",
            foreground: "#0b4121",
          },
        },
        {
          summary: "React Meetup",
          start: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(8, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#fdd8de",
            foreground: "#790619",
          },
        },
        {
          summary: "Meeting",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
          },
          end: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
        },
        {
          summary: "Call",
          start: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
          },
          end: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#292929",
            foreground: "#f5f5f5",
          },
        },
      ]);
      return {
        customCaptionCalendar,
        customCaptionEvents
      };
    }
  };
</script>
<script setup lang="ts">
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";

  const customCaptionCalendar = ref(null);
  const customCaptionEvents = ref([
    {
      summary: "JS Conference",
      start: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
    },
    {
      summary: "Vue Meetup",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#ebcdfe",
        foreground: "#6e02b1",
      },
    },
    {
      summary: "Angular Meetup",
      description:
        "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
      start: {
        date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
      },
      end: {
        date: dayjs().add(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#c7f5d9",
        foreground: "#0b4121",
      },
    },
    {
      summary: "React Meetup",
      start: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(8, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#fdd8de",
        foreground: "#790619",
      },
    },
    {
      summary: "Meeting",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
      },
      end: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
    },
    {
      summary: "Call",
      start: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
      },
      end: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#292929",
        foreground: "#f5f5f5",
      },
    },
  ]);
</script>

Default date

A starting day can be easily set using the defaultDate property.

December 2019
Month
SunMonTueWedThuFriSat
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
1
2
3
4
5
6
7
8
9
10
11
<template>
  <MDBCalendar
    ref="defaultDateCalendar"
    :events="defaultDateEvents"
    defaultDate="01-12-2019"
  />
</template>
<script>
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";
  export default {
    components: {
      MDBCalendar
    },
    setup() {
      const defaultDateCalendar = ref(null);
      const defaultDateEvents = ref([
        {
          summary: "JS Conference",
          start: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
        },
        {
          summary: "Vue Meetup",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#ebcdfe",
            foreground: "#6e02b1",
          },
        },
        {
          summary: "Angular Meetup",
          description:
            "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
          start: {
            date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
          },
          end: {
            date: dayjs().add(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#c7f5d9",
            foreground: "#0b4121",
          },
        },
        {
          summary: "React Meetup",
          start: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(8, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#fdd8de",
            foreground: "#790619",
          },
        },
        {
          summary: "Meeting",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
          },
          end: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
        },
        {
          summary: "Call",
          start: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
          },
          end: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#292929",
            foreground: "#f5f5f5",
          },
        },
      ]);
      return {
        defaultDateCalendar,
        defaultDateEvents
      };
    }
  };
</script>
<script setup lang="ts">
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";

  const defaultDateCalendar = ref(null);
  const defaultDateEvents = ref([
    {
      summary: "JS Conference",
      start: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
    },
    {
      summary: "Vue Meetup",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#ebcdfe",
        foreground: "#6e02b1",
      },
    },
    {
      summary: "Angular Meetup",
      description:
        "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
      start: {
        date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
      },
      end: {
        date: dayjs().add(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#c7f5d9",
        foreground: "#0b4121",
      },
    },
    {
      summary: "React Meetup",
      start: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(8, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#fdd8de",
        foreground: "#790619",
      },
    },
    {
      summary: "Meeting",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
      },
      end: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
    },
    {
      summary: "Call",
      start: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
      },
      end: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#292929",
        foreground: "#f5f5f5",
      },
    },
  ]);
</script>

Readonly

The editable mode can be easily disabled using the readonly property.

April 2025
Month
SunMonTueWedThuFriSat
30
31
1
2
3
4
5
Angular Meetup
6
Angular Meetup
7
 
8
 
JS Conference
9
 
Vue Meetup
Meeting
10
 
 
Call
11
 
 
12
 
 
13
 
Vue Meetup
React Meetup
14
 
 
 
15
 
 
 
16
 
 
 
17
18
19
20
21
22
23
24
25
26
27
28
29
30
1
2
3
4
5
6
7
8
9
10
<template>
  <MDBCalendar ref="readonlyCalendar" :events="readonlyEvents" readonly />
</template>
<script>
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";
  export default {
    components: {
      MDBCalendar
    },
    setup() {
      const readonlyCalendar = ref(null);
      const readonlyEvents = ref([
        {
          summary: "JS Conference",
          start: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
        },
        {
          summary: "Vue Meetup",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#ebcdfe",
            foreground: "#6e02b1",
          },
        },
        {
          summary: "Angular Meetup",
          description:
            "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
          start: {
            date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
          },
          end: {
            date: dayjs().add(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#c7f5d9",
            foreground: "#0b4121",
          },
        },
        {
          summary: "React Meetup",
          start: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(8, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#fdd8de",
            foreground: "#790619",
          },
        },
        {
          summary: "Meeting",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
          },
          end: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
        },
        {
          summary: "Call",
          start: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
          },
          end: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#292929",
            foreground: "#f5f5f5",
          },
        },
      ]);
      return {
        readonlyCalendar,
        readonlyEvents
      };
    }
  };
</script>
<script setup lang="ts">
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";

  const readonlyCalendar = ref(null);
  const readonlyEvents = ref([
    {
      summary: "JS Conference",
      start: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
    },
    {
      summary: "Vue Meetup",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#ebcdfe",
        foreground: "#6e02b1",
      },
    },
    {
      summary: "Angular Meetup",
      description:
        "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
      start: {
        date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
      },
      end: {
        date: dayjs().add(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#c7f5d9",
        foreground: "#0b4121",
      },
    },
    {
      summary: "React Meetup",
      start: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(8, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#fdd8de",
        foreground: "#790619",
      },
    },
    {
      summary: "Meeting",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
      },
      end: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
    },
    {
      summary: "Call",
      start: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
      },
      end: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#292929",
        foreground: "#f5f5f5",
      },
    },
  ]);
</script>

Readonly events

The editable mode for any event can be easily disabled by adding readonly attribute in the event's dataset.

April 2025
Month
SunMonTueWedThuFriSat
30
31
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
1
2
3
4
5
6
7
8
9
10
April 2025
Month
SunMonTueWedThuFriSat
30
31
1
2
3
4
5
Readonly event
6
Readonly event
7
 
8
 
Readonly event
9
 
Vue Meetup
Meeting
10
 
 
Readonly event
11
 
 
12
 
 
13
 
Vue Meetup
React Meetup
14
 
 
 
15
 
 
 
16
 
 
 
17
18
19
20
21
22
23
24
25
26
27
28
29
30
1
2
3
4
5
6
7
8
9
10
<template>
  <MDBCalendar ref="readonlyCalendar" :events="readonlyEvents" />
</template>
<script>
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";
  export default {
    components: {
      MDBCalendar
    },
    setup() {
      const readonlyCalendar = ref(null);
      const readonlyEvents = ref([
        {
          summary: "Readonly event",
          start: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
          readonly: true,
        },
        {
          summary: "Vue Meetup",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#ebcdfe",
            foreground: "#6e02b1",
          },
        },
        {
          summary: "Readonly event",
          description:
            "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
          start: {
            date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
          },
          end: {
            date: dayjs().add(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#c7f5d9",
            foreground: "#0b4121",
          },
          readonly: true,
        },
        {
          summary: "React Meetup",
          start: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(8, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#fdd8de",
            foreground: "#790619",
          },
        },
        {
          summary: "Meeting",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
          },
          end: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
        },
        {
          summary: "Readonly event",
          start: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
          },
          end: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#292929",
            foreground: "#f5f5f5",
          },
          readonly: true,
        },
      ]);
      return {
        readonlyCalendar,
        readonlyEvents
      };
    }
  };
</script>
<script setup lang="ts">
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";

  const readonlyCalendar = ref(null);
  const readonlyEvents = ref([
    {
      summary: "Readonly event",
      start: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
      readonly: true,
    },
    {
      summary: "Vue Meetup",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#ebcdfe",
        foreground: "#6e02b1",
      },
    },
    {
      summary: "Readonly event",
      description:
        "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
      start: {
        date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
      },
      end: {
        date: dayjs().add(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#c7f5d9",
        foreground: "#0b4121",
      },
      readonly: true,
    },
    {
      summary: "React Meetup",
      start: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(8, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#fdd8de",
        foreground: "#790619",
      },
    },
    {
      summary: "Meeting",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
      },
      end: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
    },
    {
      summary: "Readonly event",
      start: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
      },
      end: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#292929",
        foreground: "#f5f5f5",
      },
      readonly: true,
    },
  ]);
</script>

Disabled modules

Some of the modules can be disabled via props. Here's an example without tooltips and some toolbar action elements:

April 2025
SunMonTueWedThuFriSat
30
31
1
2
3
4
5
Angular Meetup
6
Angular Meetup
7
 
8
 
JS Conference
9
 
Vue Meetup
Meeting
10
 
 
Call
11
 
 
12
 
 
13
 
Vue Meetup
React Meetup
14
 
 
 
15
 
 
 
16
 
 
 
17
18
19
20
21
22
23
24
25
26
27
28
29
30
1
2
3
4
5
6
7
8
9
10
<template>
  <MDBCalendar
    ref="modulesCalendar"
    :events="modulesEvents"
    :todayBtn="false"
    :disableTooltip="true"
    :addEventButton="false"
    :navigation="false"
    :viewSelect="false"
  />
</template>
<script>
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";
  export default {
    components: {
      MDBCalendar
    },
    setup() {
      const modulesCalendar = ref(null);
      const modulesEvents = ref([
        {
          summary: "JS Conference",
          start: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
        },
        {
          summary: "Vue Meetup",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#ebcdfe",
            foreground: "#6e02b1",
          },
        },
        {
          summary: "Angular Meetup",
          description:
            "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
          start: {
            date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
          },
          end: {
            date: dayjs().add(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#c7f5d9",
            foreground: "#0b4121",
          },
        },
        {
          summary: "React Meetup",
          start: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(8, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#fdd8de",
            foreground: "#790619",
          },
        },
        {
          summary: "Meeting",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
          },
          end: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
        },
        {
          summary: "Call",
          start: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
          },
          end: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#292929",
            foreground: "#f5f5f5",
          },
        },
      ]);
      return {
        modulesCalendar,
        modulesEvents
      };
    }
  };
</script>
<script setup lang="ts">
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";

  const modulesCalendar = ref(null);
  const modulesEvents = ref([
    {
      summary: "JS Conference",
      start: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
    },
    {
      summary: "Vue Meetup",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#ebcdfe",
        foreground: "#6e02b1",
      },
    },
    {
      summary: "Angular Meetup",
      description:
        "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
      start: {
        date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
      },
      end: {
        date: dayjs().add(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#c7f5d9",
        foreground: "#0b4121",
      },
    },
    {
      summary: "React Meetup",
      start: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(8, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#fdd8de",
        foreground: "#790619",
      },
    },
    {
      summary: "Meeting",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
      },
      end: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
    },
    {
      summary: "Call",
      start: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
      },
      end: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#292929",
        foreground: "#f5f5f5",
      },
    },
  ]);
</script>

Blur

Past events can be blurred with the blur prop.

April 2025
Month
SunMonTueWedThuFriSat
30
31
1
2
3
4
5
Angular Meetup
6
Angular Meetup
7
 
8
 
JS Conference
9
 
Vue Meetup
Meeting
10
 
 
Call
11
 
 
12
 
 
13
 
Vue Meetup
React Meetup
14
 
 
 
15
 
 
 
16
 
 
 
17
18
19
20
21
22
23
24
25
26
27
28
29
30
1
2
3
4
5
6
7
8
9
10
<template>
  <MDBCalendar ref="blurCalendar" :events="blurEvents" blur />
</template>
<script>
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";
  export default {
    components: {
      MDBCalendar
    },
    setup() {
      const blurCalendar = ref(null);
      const blurEvents = ref([
        {
          summary: "JS Conference",
          start: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
        },
        {
          summary: "Vue Meetup",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#ebcdfe",
            foreground: "#6e02b1",
          },
        },
        {
          summary: "Angular Meetup",
          description:
            "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
          start: {
            date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
          },
          end: {
            date: dayjs().add(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#c7f5d9",
            foreground: "#0b4121",
          },
        },
        {
          summary: "React Meetup",
          start: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(8, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#fdd8de",
            foreground: "#790619",
          },
        },
        {
          summary: "Meeting",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
          },
          end: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
        },
        {
          summary: "Call",
          start: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
          },
          end: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#292929",
            foreground: "#f5f5f5",
          },
        },
      ]);
      return {
        blurCalendar,
        blurEvents
      };
    }
  };
</script>
<script>
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";

  const blurCalendar = ref(null);
  const blurEvents = ref([
    {
      summary: "JS Conference",
      start: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
    },
    {
      summary: "Vue Meetup",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#ebcdfe",
        foreground: "#6e02b1",
      },
    },
    {
      summary: "Angular Meetup",
      description:
        "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
      start: {
        date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
      },
      end: {
        date: dayjs().add(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#c7f5d9",
        foreground: "#0b4121",
      },
    },
    {
      summary: "React Meetup",
      start: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(8, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#fdd8de",
        foreground: "#790619",
      },
    },
    {
      summary: "Meeting",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
      },
      end: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
    },
    {
      summary: "Call",
      start: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
      },
      end: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#292929",
        foreground: "#f5f5f5",
      },
    },
  ]);
</script>

Custom attributes

You can add your own attributes to existing and new events. Below is an example with the id attribute.

April 2025
Month
SunMonTueWedThuFriSat
30
31
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
1
2
3
4
5
6
7
8
9
10
April 2025
Month
SunMonTueWedThuFriSat
30
31
1
2
3
4
5
Angular Meetup
6
Angular Meetup
7
 
8
 
JS Conference
9
 
Vue Meetup
Meeting
10
 
 
Call
11
 
 
12
 
 
13
 
Vue Meetup
React Meetup
14
 
 
 
15
 
 
 
16
 
 
 
17
18
19
20
21
22
23
24
25
26
27
28
29
30
1
2
3
4
5
6
7
8
9
10
<template>
  <MDBCalendar ref="idCalendar" :events="idEvents" :newEventAtrributes="addAtrributes" />
</template>
<script>
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";
  export default {
    components: {
      MDBCalendar
    },
    setup() {
      const idCalendar = ref(null);
      const idEvents = ref([
        {
          summary: "JS Conference",
          start: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
          id: 1,
        },
        {
          summary: "Vue Meetup",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#ebcdfe",
            foreground: "#6e02b1",
          },
          id: 2,
        },
        {
          summary: "Angular Meetup",
          description:
            "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
          start: {
            date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
          },
          end: {
            date: dayjs().add(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#c7f5d9",
            foreground: "#0b4121",
          },
          id: 3,
        },
        {
          summary: "React Meetup",
          start: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(8, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#fdd8de",
            foreground: "#790619",
          },
          id: 4,
        },
        {
          summary: "Meeting",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
          },
          end: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
          id: 5,
        },
        {
          summary: "Call",
          start: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
          },
          end: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#292929",
            foreground: "#f5f5f5",
          },
          id: 6,
        },
      ]);

      let newEventId = idEvents.value.length;
      const addAtrributes = (event) => {
        newEventId++;

        return {
          ...event,
          id: newEventId,
        };
      };

      return {
        idCalendar,
        idEvents,
        addAtrributes,
      };
    }
  };
</script>
<script>
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { ref } from "vue";

  const idCalendar = ref(null);
  const idEvents = ref([
    {
      summary: "JS Conference",
      start: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
      id: 1,
    },
    {
      summary: "Vue Meetup",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#ebcdfe",
        foreground: "#6e02b1",
      },
      id: 2,
    },
    {
      summary: "Angular Meetup",
      description:
        "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
      start: {
        date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
      },
      end: {
        date: dayjs().add(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#c7f5d9",
        foreground: "#0b4121",
      },
      id: 3,
    },
    {
      summary: "React Meetup",
      start: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(8, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#fdd8de",
        foreground: "#790619",
      },
      id: 4,
    },
    {
      summary: "Meeting",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
      },
      end: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
      id: 5,
    },
    {
      summary: "Call",
      start: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
      },
      end: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#292929",
        foreground: "#f5f5f5",
      },
      id: 6,
    },
  ]);

  let newEventId = idEvents.value.length;
  const addAtrributes = (event) => {
    newEventId++;

    return {
      ...event,
      id: newEventId,
    };
  };
</script>

Calendar - API


Import

<script>
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
</script>

Properties

Property Type Default Description
weekdays Array ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'] Defines weekdays displayed names.
months Array ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'] Defines months displayed names.
monthsShort Array ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'] Defines shortened months displayed names.
mondayFirst Boolean false Changes first day of week to monday.
defaultView String 'month' Defines default view.
twelveHour Boolean false Changes time mode from 24h to 12h.
defaultDate Object / String dayjs() Defines the default starting date.
readonly Boolean false Disables event's edition.
todayCaption String 'today' Defines caption for today.
monthCaption String 'month' Defines caption for month button.
weekCaption String 'week' Defines caption for week button.
listCaption String 'list' Defines caption for list button.
allDayCaption String 'All day event' Defines caption for all day event checkbox.
noEventsCaption String No events Defines caption for empty list view.
summaryCaption String Summary Defines caption for summary input label.
descriptionCaption String Description Defines caption for description input label.
startCaption String Start Defines caption for start input label.
endCaption String End Defines caption for end input label.
addCaption String Add Defines caption for add event button.
deleteCaption String Remove Defines caption for remove event button.
saveCaption String Save Defines caption for save event button.
closeCaption String Close Defines caption for close button.
addEventModalCaption String Add an event Defines caption for add event modal title.
editEventModalCaption String Edit an event Defines caption for edit event modal title.
events Array of Objects [] Defines calendar events.
tag String "div" Defines component tag
addEventCaption String Add event Defines caption for add event button.
todayBtn Boolean true Enables today button.
listOption Boolean true Enables list option in select.
weekOption Boolean true Enables week option in select.
monthOption Boolean true Enables month option in select.
disableTooltip Boolean false Disables tooltip.
blur Boolean false Enables blur for past events.
navigation Boolean true Enables navigation.
viewSelect Boolean true Enables viewSelect.
addEventButton Boolean true Enables add event button.
newEventAtrributes Function (event) => event Modifies new events attributes.
timepickerConfig Object {} Allows to provide options for timepicker component
datepickerConfig Object {} Allows to provide options for datepicker component
dateFormat String 'DD/MM/YYYY' Allows to change the date format used in the calendar component

Methods

Name Description
prev Changes the period of time to previous.
next Changes the period of time to next.
today Changes the period of time to today.
changeView Changes the view.
addEvents Adds new events to the calendar. It receives 2 attributes - events and replace. The second one is by default set to false. If you decide to set it to true it will replace all the events instead of adding them.
removeEvents Removes all events from the calendar.
<template>
  <MDBBtn color="primary" @click="basicCalendar?.prev()">Go to prev month</MDBBtn>
  <MDBCalendar ref="basicCalendar" :events="basicEvents" />
</template>
<script>
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { MDBBtn } from "mdb-vue-ui-kit";
  import { ref } from "vue";
  export default {
    components: {
      MDBCalendar,
      MDBBtn,
    },
    setup() {
      const basicCalendar = ref(null);
      const basicEvents = ref([
        {
          summary: "JS Conference",
          start: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().format("DD/MM/YYYY"),
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
        },
        {
          summary: "Vue Meetup",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#ebcdfe",
            foreground: "#6e02b1",
          },
        },
        {
          summary: "Angular Meetup",
          description:
            "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
          start: {
            date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
          },
          end: {
            date: dayjs().add(3, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#c7f5d9",
            foreground: "#0b4121",
          },
        },
        {
          summary: "React Meetup",
          start: {
            date: dayjs().add(5, "day").format("DD/MM/YYYY"),
          },
          end: {
            date: dayjs().add(8, "day").format("DD/MM/YYYY"),
          },
          color: {
            background: "#fdd8de",
            foreground: "#790619",
          },
        },
        {
          summary: "Meeting",
          start: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
          },
          end: {
            date: dayjs().add(1, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
          },
          color: {
            background: "#cfe0fc",
            foreground: "#0a47a9",
          },
        },
        {
          summary: "Call",
          start: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
          },
          end: {
            date: dayjs().add(2, "day").format("DD/MM/YYYY"),
            dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
          },
          color: {
            background: "#292929",
            foreground: "#f5f5f5",
          },
        },
      ]);

      return {
        basicCalendar,
        basicEvents,
      };
    },
  };
</script>
<script setup lang="ts">
  import { MDBCalendar, dayjs } from "mdb-vue-calendar";
  import { MDBBtn } from "mdb-vue-ui-kit";
  import { ref } from "vue";

  const basicCalendar = ref<InstanceType<typeof MDBCalendar> | null>(null);
  const basicEvents = ref([
    {
      summary: "JS Conference",
      start: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().format("DD/MM/YYYY"),
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
    },
    {
      summary: "Vue Meetup",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#ebcdfe",
        foreground: "#6e02b1",
      },
    },
    {
      summary: "Angular Meetup",
      description:
        "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur",
      start: {
        date: dayjs().subtract(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().subtract(3, "day").format("DD/MM/YYYY") + " 10:00",
      },
      end: {
        date: dayjs().add(3, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(3, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#c7f5d9",
        foreground: "#0b4121",
      },
    },
    {
      summary: "React Meetup",
      start: {
        date: dayjs().add(5, "day").format("DD/MM/YYYY"),
      },
      end: {
        date: dayjs().add(8, "day").format("DD/MM/YYYY"),
      },
      color: {
        background: "#fdd8de",
        foreground: "#790619",
      },
    },
    {
      summary: "Meeting",
      start: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 8:00",
      },
      end: {
        date: dayjs().add(1, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(1, "day").format("DD/MM/YYYY") + " 12:00",
      },
      color: {
        background: "#cfe0fc",
        foreground: "#0a47a9",
      },
    },
    {
      summary: "Call",
      start: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 11:00",
      },
      end: {
        date: dayjs().add(2, "day").format("DD/MM/YYYY"),
        dateTime: dayjs().add(2, "day").format("DD/MM/YYYY") + " 14:00",
      },
      color: {
        background: "#292929",
        foreground: "#f5f5f5",
      },
    },
  ]);
</script>

Events

Name Description
prev Emitted when the prev method triggers.
next Emitted when the next method triggers.
today Emitted when the today method triggers.
viewChange Emitted when the changeView method triggers.
addEvent Emitted when a new event is added. Returns a new event object.
editEvent Emitted when any event is editted. Returns an editted event object.
deleteEvent Emitted when any event is deleted. Returns a deleted event object.
<template>
  <MDBCalendar ref="basicCalendar" :events="basicEvents" @addEvent="doSomething"/>
</template>

Calendar

Angular Bootstrap 5 Calendar plugin

MDB calendar is a plugin that allows you to efficiently manage tasks. Thanks to this extension you will be able to easily create new events, manage current events, move existing events between other days, and store all data in an easily readable array.

Responsive Calendar plugin built with the Bootstrap 5, Angular and Material Design. Various customization options like default view, event formats, customizable captions, and much more.

Note: Read the API tab to find all available options and advanced customization


Basic example

A few predefined events allowing you to see how the plugin looks like.

April 2025
Month
SunMonTueWedThuFriSat
30
31
1
2
3
4
Angular Meetup
5
 
6
Angular Meetup
7
 
JS Conference
8
 
Vue Meetup
Meeting
9
 
 
Call
10
 
 
11
 
 
12
 
 
React Meetup
13
 
 
React Meetup
14
 
 
 
15
 
 
 
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
1
2
3
4
5
6
7
8
9
10
<mdb-calendar [events]="events"></mdb-calendar>
import { Component } from '@angular/core';
import { MdbCalendarEvent, startOfDay, endOfDay } from 'mdb-angular-calendar';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
})
export class AppComponent {
  events: MdbCalendarEvent[] = [
    {
      id: 'event1',
      summary: 'JS Conference',
      startDate: startOfDay(new Date()),
      endDate: endOfDay(new Date()),
      color: {
        background: '#cfe0fc',
        foreground: '#0a47a9',
      },
    },
    { id: 'event2',
      summary: 'Vue Meetup',
      startDate: startOfDay(new Date(new Date().setDate(new Date().getDate() + 1))),
      endDate: endOfDay(new Date(new Date().setDate(new Date().getDate() + 5))),
      color: {
        background: '#ebcdfe',
        foreground: '#6e02b1',
      },
    },
    {
      id: 'event3',
      summary: 'Angular Meetup',
      description:
        'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() - 3)).setHours(10,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 3)).setHours(14,0,0,0)),
      color: {
        background: '#c7f5d9',
        foreground: '#0b4121',
      },
    },
    {
      id: 'event4',
      summary: 'React Meetup',
      startDate: startOfDay(new Date(new Date().setDate(new Date().getDate() + 5))),
      endDate: endOfDay(new Date(new Date().setDate(new Date().getDate() + 8))),
      color: {
        background: '#fdd8de',
        foreground: '#790619',
      },
    },
    {
      id: 'event5',
      summary: 'Meeting',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() + 1)).setHours(8,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 1)).setHours(12,0,0,0)),
      color: {
        background: '#cfe0fc',
        foreground: '#0a47a9',
      },
    },
    {
      id: 'event6',
      summary: 'Call',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() + 2)).setHours(11,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 2)).setHours(14,0,0,0)),
      color: {
        background: '#292929',
        foreground: '#f5f5f5',
      },
    }
  ];
};

Event formats

Calendar events can be added with time in two different formats - 12h or 24h.

{
  id: 'event6',
  summary: 'Call',
  startDate: new Date('2020/09/08 11:00'),
  endDate: new Date('2020/09/08 14:00'),
  color: {
    background: '#292929',
    foreground: '#f5f5f5',
  },
}
{
  id: 'event6',
  summary: 'Call',
  startDate: new Date('2021/09/10 11:00 AM'),
  endDate: new Date('2021/09/10 02:00 PM'),
  color: {
    background: '#292929',
    foreground: '#f5f5f5',
  },
}

Monday first

Set the mondayFirst input to true so that Monday is the first day of the week.

April 2025
Month
MonTueWedThuFriSatSun
31
1
2
3
4
Angular Meetup
5
 
6
 
7
Angular Meetup
JS Conference
8
 
Vue Meetup
Meeting
9
 
 
Call
10
 
 
11
 
 
12
 
 
React Meetup
13
 
 
 
14
 
 
React Meetup
15
 
 
 
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
1
2
3
4
5
6
7
8
9
10
11
<mdb-calendar [mondayFirst]="true" [events]="events"></mdb-calendar>
import { Component } from '@angular/core';
import { MdbCalendarEvent, startOfDay, endOfDay } from 'mdb-angular-calendar';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
})
export class AppComponent {
  events: MdbCalendarEvent[] = [
    {
      id: 'event1',
      summary: 'JS Conference',
      startDate: startOfDay(new Date()),
      endDate: endOfDay(new Date()),
      color: {
        background: '#cfe0fc',
        foreground: '#0a47a9',
      },
    },
    { id: 'event2',
      summary: 'Vue Meetup',
      startDate: startOfDay(new Date(new Date().setDate(new Date().getDate() + 1))),
      endDate: endOfDay(new Date(new Date().setDate(new Date().getDate() + 5))),
      color: {
        background: '#ebcdfe',
        foreground: '#6e02b1',
      },
    },
    {
      id: 'event3',
      summary: 'Angular Meetup',
      description:
        'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() - 3)).setHours(10,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 3)).setHours(14,0,0,0)),
      color: {
        background: '#c7f5d9',
        foreground: '#0b4121',
      },
    },
    {
      id: 'event4',
      summary: 'React Meetup',
      startDate: startOfDay(new Date(new Date().setDate(new Date().getDate() + 5))),
      endDate: endOfDay(new Date(new Date().setDate(new Date().getDate() + 8))),
      color: {
        background: '#fdd8de',
        foreground: '#790619',
      },
    },
    {
      id: 'event5',
      summary: 'Meeting',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() + 1)).setHours(8,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 1)).setHours(12,0,0,0)),
      color: {
        background: '#cfe0fc',
        foreground: '#0a47a9',
      },
    },
    {
      id: 'event6',
      summary: 'Call',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() + 2)).setHours(11,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 2)).setHours(14,0,0,0)),
      color: {
        background: '#292929',
        foreground: '#f5f5f5',
      },
    }
  ];
};

Default view

Set the defaultView input to week or list to change the start view. By default, it is a month.

April 2025
Week
Sun
06
Mon
07
Tue
08
Wed
09
Thu
10
Fri
11
Sat
12
Angular Meetup
 
JS Conference
 
Vue Meetup
Meeting
 
 
Call
 
 
 
 
 
 
React Meetup
1:00
2:00
3:00
4:00
5:00
6:00
7:00
8:00
Meeting
9:00
Meeting
10:00
Meeting
11:00
Meeting
Call
12:00
Call
13:00
Call
14:00
15:00
16:00
17:00
18:00
19:00
20:00
21:00
22:00
23:00
<mdb-calendar [defaultView]="'week'" [events]="events"></mdb-calendar>
import { Component } from '@angular/core';
import { MdbCalendarEvent, startOfDay, endOfDay } from 'mdb-angular-calendar';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
})
export class AppComponent {
  events: MdbCalendarEvent[] = [
    {
      id: 'event1',
      summary: 'JS Conference',
      startDate: startOfDay(new Date()),
      endDate: endOfDay(new Date()),
      color: {
        background: '#cfe0fc',
        foreground: '#0a47a9',
      },
    },
    { id: 'event2',
      summary: 'Vue Meetup',
      startDate: startOfDay(new Date(new Date().setDate(new Date().getDate() + 1))),
      endDate: endOfDay(new Date(new Date().setDate(new Date().getDate() + 5))),
      color: {
        background: '#ebcdfe',
        foreground: '#6e02b1',
      },
    },
    {
      id: 'event3',
      summary: 'Angular Meetup',
      description:
        'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() - 3)).setHours(10,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 3)).setHours(14,0,0,0)),
      color: {
        background: '#c7f5d9',
        foreground: '#0b4121',
      },
    },
    {
      id: 'event4',
      summary: 'React Meetup',
      startDate: startOfDay(new Date(new Date().setDate(new Date().getDate() + 5))),
      endDate: endOfDay(new Date(new Date().setDate(new Date().getDate() + 8))),
      color: {
        background: '#fdd8de',
        foreground: '#790619',
      },
    },
    {
      id: 'event5',
      summary: 'Meeting',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() + 1)).setHours(8,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 1)).setHours(12,0,0,0)),
      color: {
        background: '#cfe0fc',
        foreground: '#0a47a9',
      },
    },
    {
      id: 'event6',
      summary: 'Call',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() + 2)).setHours(11,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 2)).setHours(14,0,0,0)),
      color: {
        background: '#292929',
        foreground: '#f5f5f5',
      },
    }
  ];
};

Twelve hour

By setting the twelveHours input to true, you get a 12-hour schedule.

April 2025
Week
Sun
06
Mon
07
Tue
08
Wed
09
Thu
10
Fri
11
Sat
12
Angular Meetup
 
JS Conference
 
Vue Meetup
Meeting
 
 
Call
 
 
 
 
 
 
React Meetup
1:00 am
2:00 am
3:00 am
4:00 am
5:00 am
6:00 am
7:00 am
8:00 am
Meeting
9:00 am
Meeting
10:00 am
Meeting
11:00 am
Meeting
Call
12:00 pm
Call
1:00 pm
Call
2:00 pm
3:00 pm
4:00 pm
5:00 pm
6:00 pm
7:00 pm
8:00 pm
9:00 pm
10:00 pm
11:00 pm
<mdb-calendar [twelveHours]="true" [events]="events"></mdb-calendar>
import { Component } from '@angular/core';
import { MdbCalendarEvent, startOfDay, endOfDay } from 'mdb-angular-calendar';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
})
export class AppComponent {
  events: MdbCalendarEvent[] = [
    {
      id: 'event1',
      summary: 'JS Conference',
      startDate: startOfDay(new Date()),
      endDate: endOfDay(new Date()),
      color: {
        background: '#cfe0fc',
        foreground: '#0a47a9',
      },
    },
    { id: 'event2',
      summary: 'Vue Meetup',
      startDate: startOfDay(new Date(new Date().setDate(new Date().getDate() + 1))),
      endDate: endOfDay(new Date(new Date().setDate(new Date().getDate() + 5))),
      color: {
        background: '#ebcdfe',
        foreground: '#6e02b1',
      },
    },
    {
      id: 'event3',
      summary: 'Angular Meetup',
      description:
        'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() - 3)).setHours(10,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 3)).setHours(14,0,0,0)),
      color: {
        background: '#c7f5d9',
        foreground: '#0b4121',
      },
    },
    {
      id: 'event4',
      summary: 'React Meetup',
      startDate: startOfDay(new Date(new Date().setDate(new Date().getDate() + 5))),
      endDate: endOfDay(new Date(new Date().setDate(new Date().getDate() + 8))),
      color: {
        background: '#fdd8de',
        foreground: '#790619',
      },
    },
    {
      id: 'event5',
      summary: 'Meeting',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() + 1)).setHours(8,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 1)).setHours(12,0,0,0)),
      color: {
        background: '#cfe0fc',
        foreground: '#0a47a9',
      },
    },
    {
      id: 'event6',
      summary: 'Call',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() + 2)).setHours(11,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 2)).setHours(14,0,0,0)),
      color: {
        background: '#292929',
        foreground: '#f5f5f5',
      },
    }
  ];
};

Customize captions

You can customize all captions very easily using options input. Detailed options are described in the API tab.

Kwiecień 2025
Miesiąc
NdPonWtŚrCzwPtSb
30
31
1
2
3
4
Angular Meetup
5
 
6
Angular Meetup
7
 
JS Conference
8
 
Vue Meetup
Meeting
9
 
 
Call
10
 
 
11
 
 
12
 
 
React Meetup
13
 
 
React Meetup
14
 
 
 
15
 
 
 
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
1
2
3
4
5
6
7
8
9
10
<mdb-calendar [options]="options" [events]="events"></mdb-calendar>
import { Component } from '@angular/core';
import { MdbCalendarEvent, MdbCalendarOptions, startOfDay, endOfDay } from 'mdb-angular-calendar';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
})
export class AppComponent {
  events: MdbCalendarEvent[] = [
    {
      id: 'event1',
      summary: 'JS Conference',
      startDate: startOfDay(new Date()),
      endDate: endOfDay(new Date()),
      color: {
        background: '#cfe0fc',
        foreground: '#0a47a9',
      },
    },
    { id: 'event2',
      summary: 'Vue Meetup',
      startDate: startOfDay(new Date(new Date().setDate(new Date().getDate() + 1))),
      endDate: endOfDay(new Date(new Date().setDate(new Date().getDate() + 5))),
      color: {
        background: '#ebcdfe',
        foreground: '#6e02b1',
      },
    },
    {
      id: 'event3',
      summary: 'Angular Meetup',
      description:
        'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() - 3)).setHours(10,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 3)).setHours(14,0,0,0)),
      color: {
        background: '#c7f5d9',
        foreground: '#0b4121',
      },
    },
    {
      id: 'event4',
      summary: 'React Meetup',
      startDate: startOfDay(new Date(new Date().setDate(new Date().getDate() + 5))),
      endDate: endOfDay(new Date(new Date().setDate(new Date().getDate() + 8))),
      color: {
        background: '#fdd8de',
        foreground: '#790619',
      },
    },
    {
      id: 'event5',
      summary: 'Meeting',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() + 1)).setHours(8,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 1)).setHours(12,0,0,0)),
      color: {
        background: '#cfe0fc',
        foreground: '#0a47a9',
      },
    },
    {
      id: 'event6',
      summary: 'Call',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() + 2)).setHours(11,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 2)).setHours(14,0,0,0)),
      color: {
        background: '#292929',
        foreground: '#f5f5f5',
      },
    }
  ];

  options: MdbCalendarOptions = {
    weekdays: ['Nd', 'Pon', 'Wt', 'Śr', 'Czw', 'Pt', 'Sb'],
    months: ['Styczeń', 'Luty', 'Marzec', 'Kwiecień', 'Maj', 'Czerwiec', 'Lipiec', 'Sierpień', 'Wrzesień', 'Październik', 'Listopad', 'Grudzień'],
    monthsShort: ['Sty', 'Lut', 'Mar', 'Kwi', 'Maj', 'Cze', 'Lip', 'Sie', 'Wrz', 'Paź', 'Lis', 'Gru'],
    todayCaption: 'Dzisiaj',
    monthCaption: 'Miesiąc',
    weekCaption: 'Tydzień',
    listCaption: 'Lista',
    allDayCaption: 'Cały dzień',
    noEventsCaption: 'Brak wydarzeń',
    summaryCaption: 'Nazwa wydarzenia',
    descriptionCaption: 'Szczegółowy opis wydarzenia',
    startCaption: 'Początek',
    endCaption: 'Koniec',
    addCaption: 'Dodaj',
    deleteCaption: 'Usuń',
    editCaption: 'Edytuj',
    closeCaption: 'Zamknij',
    addEventModalCaption: 'Dodaj wydarzenie',
    editEventModalCaption: 'Edytuj wydarzenie',
    addEventButtonCaption: "Dodaj wydarzenie",
  }
};

Default date

A starting day can be easily set using the defaultDate input.

December 2019
Month
SunMonTueWedThuFriSat
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
1
2
3
4
5
6
7
8
9
10
11
<mdb-calendar [defaultDate]="defaultDate" [events]="events"></mdb-calendar>
import { Component } from '@angular/core';
import { MdbCalendarEvent, startOfDay, endOfDay } from 'mdb-angular-calendar';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
})
export class AppComponent {
  defaultDate = new Date('2019/12/01');

  events: MdbCalendarEvent[] = [
    {
      id: 'event1',
      summary: 'JS Conference',
      startDate: startOfDay(new Date()),
      endDate: endOfDay(new Date()),
      color: {
        background: '#cfe0fc',
        foreground: '#0a47a9',
      },
    },
    { id: 'event2',
      summary: 'Vue Meetup',
      startDate: startOfDay(new Date(new Date().setDate(new Date().getDate() + 1))),
      endDate: endOfDay(new Date(new Date().setDate(new Date().getDate() + 5))),
      color: {
        background: '#ebcdfe',
        foreground: '#6e02b1',
      },
    },
    {
      id: 'event3',
      summary: 'Angular Meetup',
      description:
        'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() - 3)).setHours(10,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 3)).setHours(14,0,0,0)),
      color: {
        background: '#c7f5d9',
        foreground: '#0b4121',
      },
    },
    {
      id: 'event4',
      summary: 'React Meetup',
      startDate: startOfDay(new Date(new Date().setDate(new Date().getDate() + 5))),
      endDate: endOfDay(new Date(new Date().setDate(new Date().getDate() + 8))),
      color: {
        background: '#fdd8de',
        foreground: '#790619',
      },
    },
    {
      id: 'event5',
      summary: 'Meeting',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() + 1)).setHours(8,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 1)).setHours(12,0,0,0)),
      color: {
        background: '#cfe0fc',
        foreground: '#0a47a9',
      },
    },
    {
      id: 'event6',
      summary: 'Call',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() + 2)).setHours(11,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 2)).setHours(14,0,0,0)),
      color: {
        background: '#292929',
        foreground: '#f5f5f5',
      },
    }
  ];
};

Readonly

The editable mode can be easily disabled using the readonly input.

April 2025
Month
SunMonTueWedThuFriSat
30
31
1
2
3
4
Angular Meetup
5
 
6
Angular Meetup
7
 
JS Conference
8
 
Vue Meetup
Meeting
9
 
 
Call
10
 
 
11
 
 
12
 
 
React Meetup
13
 
 
React Meetup
14
 
 
 
15
 
 
 
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
1
2
3
4
5
6
7
8
9
10
<mdb-calendar [readonly]="true" [events]="events"></mdb-calendar>
import { Component } from '@angular/core';
import { MdbCalendarEvent, startOfDay, endOfDay } from 'mdb-angular-calendar';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
})
export class AppComponent {
  events: MdbCalendarEvent[] = [
    {
      id: 'event1',
      summary: 'JS Conference',
      startDate: startOfDay(new Date()),
      endDate: endOfDay(new Date()),
      color: {
        background: '#cfe0fc',
        foreground: '#0a47a9',
      },
    },
    { id: 'event2',
      summary: 'Vue Meetup',
      startDate: startOfDay(new Date(new Date().setDate(new Date().getDate() + 1))),
      endDate: endOfDay(new Date(new Date().setDate(new Date().getDate() + 5))),
      color: {
        background: '#ebcdfe',
        foreground: '#6e02b1',
      },
    },
    {
      id: 'event3',
      summary: 'Angular Meetup',
      description:
        'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() - 3)).setHours(10,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 3)).setHours(14,0,0,0)),
      color: {
        background: '#c7f5d9',
        foreground: '#0b4121',
      },
    },
    {
      id: 'event4',
      summary: 'React Meetup',
      startDate: startOfDay(new Date(new Date().setDate(new Date().getDate() + 5))),
      endDate: endOfDay(new Date(new Date().setDate(new Date().getDate() + 8))),
      color: {
        background: '#fdd8de',
        foreground: '#790619',
      },
    },
    {
      id: 'event5',
      summary: 'Meeting',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() + 1)).setHours(8,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 1)).setHours(12,0,0,0)),
      color: {
        background: '#cfe0fc',
        foreground: '#0a47a9',
      },
    },
    {
      id: 'event6',
      summary: 'Call',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() + 2)).setHours(11,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 2)).setHours(14,0,0,0)),
      color: {
        background: '#292929',
        foreground: '#f5f5f5',
      },
    }
  ];
}

Disabled modules

Some of the modules can be disabled via inputs. Here's an example without tooltips and some toolbar action elements:

April 2025
SunMonTueWedThuFriSat
30
31
1
2
3
4
Angular Meetup
5
 
6
Angular Meetup
7
 
JS Conference
8
 
Vue Meetup
Meeting
9
 
 
Call
10
 
 
11
 
 
12
 
 
React Meetup
13
 
 
React Meetup
14
 
 
 
15
 
 
 
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
1
2
3
4
5
6
7
8
9
10
<mdb-calendar
[events]="events"
[tooltips]="false"
[navigation]="false"
[viewSelect]="false"
[addEventButton]="false"
></mdb-calendar>
import { Component } from '@angular/core';
import { MdbCalendarEvent, startOfDay, endOfDay } from 'mdb-angular-calendar';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
})
export class AppComponent {
  events: MdbCalendarEvent[] = [
    {
      id: 'event1',
      summary: 'JS Conference',
      startDate: startOfDay(new Date()),
      endDate: endOfDay(new Date()),
      color: {
        background: '#cfe0fc',
        foreground: '#0a47a9',
      },
    },
    { id: 'event2',
      summary: 'Vue Meetup',
      startDate: startOfDay(new Date(new Date().setDate(new Date().getDate() + 1))),
      endDate: endOfDay(new Date(new Date().setDate(new Date().getDate() + 5))),
      color: {
        background: '#ebcdfe',
        foreground: '#6e02b1',
      },
    },
    {
      id: 'event3',
      summary: 'Angular Meetup',
      description:
        'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() - 3)).setHours(10,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 3)).setHours(14,0,0,0)),
      color: {
        background: '#c7f5d9',
        foreground: '#0b4121',
      },
    },
    {
      id: 'event4',
      summary: 'React Meetup',
      startDate: startOfDay(new Date(new Date().setDate(new Date().getDate() + 5))),
      endDate: endOfDay(new Date(new Date().setDate(new Date().getDate() + 8))),
      color: {
        background: '#fdd8de',
        foreground: '#790619',
      },
    },
    {
      id: 'event5',
      summary: 'Meeting',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() + 1)).setHours(8,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 1)).setHours(12,0,0,0)),
      color: {
        background: '#cfe0fc',
        foreground: '#0a47a9',
      },
    },
    {
      id: 'event6',
      summary: 'Call',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() + 2)).setHours(11,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 2)).setHours(14,0,0,0)),
      color: {
        background: '#292929',
        foreground: '#f5f5f5',
      },
    }
  ];
};

Blur

Past events can be blurred with the data-mdb-blur attribute.

April 2025
Month
SunMonTueWedThuFriSat
30
31
1
2
3
4
Angular Meetup
5
 
6
Angular Meetup
7
 
JS Conference
8
 
Vue Meetup
Meeting
9
 
 
Call
10
 
 
11
 
 
12
 
 
React Meetup
13
 
 
React Meetup
14
 
 
 
15
 
 
 
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
1
2
3
4
5
6
7
8
9
10
<mdb-calendar [blur]="true" [events]="events"></mdb-calendar>
import { Component } from '@angular/core';
import { MdbCalendarEvent, startOfDay, endOfDay } from 'mdb-angular-calendar';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
})
export class AppComponent {
  events: MdbCalendarEvent[] = [
    {
      id: 'event1',
      summary: 'JS Conference',
      startDate: startOfDay(new Date()),
      endDate: endOfDay(new Date()),
      color: {
        background: '#cfe0fc',
        foreground: '#0a47a9',
      },
    },
    { id: 'event2',
      summary: 'Vue Meetup',
      startDate: startOfDay(new Date(new Date().setDate(new Date().getDate() + 1))),
      endDate: endOfDay(new Date(new Date().setDate(new Date().getDate() + 5))),
      color: {
        background: '#ebcdfe',
        foreground: '#6e02b1',
      },
    },
    {
      id: 'event3',
      summary: 'Angular Meetup',
      description:
        'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() - 3)).setHours(10,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 3)).setHours(14,0,0,0)),
      color: {
        background: '#c7f5d9',
        foreground: '#0b4121',
      },
    },
    {
      id: 'event4',
      summary: 'React Meetup',
      startDate: startOfDay(new Date(new Date().setDate(new Date().getDate() + 5))),
      endDate: endOfDay(new Date(new Date().setDate(new Date().getDate() + 8))),
      color: {
        background: '#fdd8de',
        foreground: '#790619',
      },
    },
    {
      id: 'event5',
      summary: 'Meeting',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() + 1)).setHours(8,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 1)).setHours(12,0,0,0)),
      color: {
        background: '#cfe0fc',
        foreground: '#0a47a9',
      },
    },
    {
      id: 'event6',
      summary: 'Call',
      startDate: new Date(new Date(new Date().setDate(new Date().getDate() + 2)).setHours(11,0,0,0)),
      endDate: new Date(new Date(new Date().setDate(new Date().getDate() + 2)).setHours(14,0,0,0)),
      color: {
        background: '#292929',
        foreground: '#f5f5f5',
      },
    }
  ];
}

Calendar - API


Installation

To install and configure the plugin follow our Plugins Installation Guide. Please remember to update all the plugin names and import paths. You can find all the necessary information in the Import section.

npm i git+https://oauth2:ACCESS_TOKEN@git.mdbootstrap.com/mdb/angular/mdb5/plugins/prd/calendar

Import

import { MdbCalendarModule } from 'mdb-angular-calendar';
…
@NgModule ({
  ...
  imports: [MdbCalendarModule],
  ...
})
@import 'mdb-angular-calendar/scss/calendar.scss';

Inputs

Name Type Default Description
mondayFirst Boolean false Changes first day of week to monday.
defaultView MdbCalendarView 'month' Defines default view.
twelveHour Boolean false Changes time mode from 24h to 12h.
defaultDate Date new Date() Defines the default starting date.
readonly Boolean false Disables event's edition.
events MdbCalendarEvent[] - Array of calendar events
tooltips Boolean true Enables tooltips.
navigation Boolean true Enables navigation.
viewSelect Boolean true Enables viewSelect.
addEventButton Boolean true Enables addEventButton.

Outputs

Name Type Description
prev EventEmitter<any> Emitted when the prev method triggers.
next EventEmitter<any> Emitted when the next method triggers.
today EventEmitter<any> Emitted when the today method triggers.
viewChanged EventEmitter<MdbCalendarView> Emitted when the changeView method triggers.
eventAdded EventEmitter<MdbCalendarEvent> Emitted when a new event is added. Returns a new event object.
eventEdited EventEmitter<MdbCalendarEvent> Emitted when any event is editted. Returns an editted event object.
eventDeleted EventEmitter<MdbCalendarEvent> Emitted when any event is deleted. Returns a deleted event object.
<mdb-calendar
  [events]="events"
  (eventAdded)="onEventAdd($event)"
  (next)="onNext()"
></mdb-calendar>
import { Component } from '@angular/core';
import { MdbCalendarEvent, endOfDay, startOfDay } from 'mdb-angular-calendar';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss'],
})
export class AppComponent {
  events: MdbCalendarEvent[] = [
    {
      id: 'event1',
      summary: 'JS Conference',
      startDate: startOfDay(new Date()),
      endDate: endOfDay(new Date()),
      color: {
        background: '#cfe0fc',
        foreground: '#0a47a9',
      },
    },
    {
      id: 'event2',
      summary: 'Vue Meetup',
      startDate: startOfDay(
        new Date(new Date().setDate(new Date().getDate() + 1))
      ),
      endDate: endOfDay(new Date(new Date().setDate(new Date().getDate() + 5))),
      color: {
        background: '#ebcdfe',
        foreground: '#6e02b1',
      },
    },
  ];

  onEventAdd(event: MdbCalendarEvent) {
    console.log('event added: ', event);
  }

  onNext() {
    console.log('next clicked');
  }
}

Methods

Name Description Example
prevPeriod Changes the period of time to previous. calendar.prevPeriod()
nextPeriod Changes the period of time to next. calendar.nextPeriod()
todayPeriod Changes the period of time to today. calendar.todayPeriod()
changeView(view: MdbCalendarView) Changes the view. You can choose between 'list', 'month' or 'week' calendar.changeView('list')
addEvent(event:MdbCalendarEvent) Adds new event to the calendar. calendar.addEvent(event)
removeEvents Removes all events from the calendar. calendar.removeEvents()
<mdb-calendar #calendar [events]="events"></mdb-calendar>
<button class="btn btn-primary" (click)="removeEvents()">
  Remove all events
</button>
import { Component, ViewChild } from '@angular/core';
import {
  MdbCalendarComponent,
  MdbCalendarEvent,
  endOfDay,
  startOfDay,
} from 'mdb-angular-calendar';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss'],
})
export class AppComponent {
  @ViewChild('calendar', { static: true }) calendar!: MdbCalendarComponent;

  events: MdbCalendarEvent[] = [
    {
      id: 'event1',
      summary: 'JS Conference',
      startDate: startOfDay(new Date()),
      endDate: endOfDay(new Date()),
      color: {
        background: '#cfe0fc',
        foreground: '#0a47a9',
      },
    },
    {
      id: 'event2',
      summary: 'Vue Meetup',
      startDate: startOfDay(
        new Date(new Date().setDate(new Date().getDate() + 1))
      ),
      endDate: endOfDay(new Date(new Date().setDate(new Date().getDate() + 5))),
      color: {
        background: '#ebcdfe',
        foreground: '#6e02b1',
      },
    },
  ];

  removeEvents(): void {
    this.calendar.removeEvents();
  }
}

Advanced types

MdbCalendarOptions

Name Type Default Description
weekdays Array ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'] Defines weekdays displayed names.
months Array ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'] Defines months displayed names.
monthsShort Array ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'] Defines shortened months displayed names.
todayCaption String 'today' Defines caption for today.
monthCaption String 'month' Defines caption for month button.
weekCaption String 'week' Defines caption for week button.
listCaption String 'list' Defines caption for list button.
allDayCaption String 'All day event' Defines caption for all day event checkbox.
noEventsCaption String 'No events' Defines caption for empty list view.
summaryCaption String 'Summary' Defines caption for summary input label.
descriptionCaption String 'Description' Defines caption for description input label.
startCaption String 'Start' Defines caption for start input label.
endCaption String 'End' Defines caption for end input label.
addCaption String 'Add' Defines caption for add event button.
deleteCaption String 'Remove' Defines caption for remove event button.
editCaption String 'Edit' Defines caption for edit event button.
closeCaption String 'Close' Defines caption for close button.
addEventModalCaption String 'Add an event' Defines caption for add event modal title.
editEventModalCaption String 'Edit an event' Defines caption for edit event modal title.
addEventButtonCaption String 'Add event' Defines caption for add event button.

MdbCalendarEvent

interface MdbCalendarEvent {
  id?: string;
  order?: number;
  summary: string;
  startDate: Date | string;
  endDate: Date | string;
  startData?: {
    date: string;
    day: number | string;
    month: number | string;
    string: string;
    time: string;
    year: number;
  };
  endData?: {
    date: string;
    day: number | string;
    month: number | string;
    string: string;
    time: string;
    year: number;
  };
  eventStart?: boolean;
  eventEnd?: boolean;
  description?: string;
  longEvent?: boolean;
  color: {
    background: string;
    foreground?: string;
  };
  allDay?: boolean;
  oneDay?: boolean;
}

MdbCalendarView

type MdbCalendarView = 'month' | 'list' | 'week';

Calendar

React Bootstrap 5 Calendar plugin

MDB calendar is a plugin that allows you to efficiently manage tasks. Thanks to this extension you will be able to easily create new events, manage current events, move existing events between other days, and store all data in an easily readable array.

Responsive Calendar plugin built with the latest Bootstrap 5. Various customization options like default view, event formats, customizable captions, and much more.

Note: Read the API tab to find all available options and advanced customization


Basic example

A few predefined events allowing you to see how the plugin looks like.

March 2025
Month
SunMonTueWedThuFriSat
23
24
25
26
27
28
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
Angular Meetup
24
 
25
 
26
 
JS Conference
27
 
Vue Meetup
Meeting
28
 
 
Call
29
 
 
30
 
Vue Meetup
31
 
 
React Meetup
1
 
 
 
2
 
 
 
3
 
 
 
4
5
import React from 'react';
import { MDBCalendar } from 'mdb-react-calendar';

export default function App() {
  const today = new Date();

  const getStringDate = (date: Date) => date.toLocaleDateString('en-GB').replaceAll('.', '/');

  const addDays = (date: Date, days: number) => {
    return new Date(date.getFullYear(), date.getMonth(), date.getDate() + days);
  };

  const myEvents = [
    {
      summary: 'JS Conference',
      description: '',
      start: {
        date: getStringDate(today),
      },
      end: {
        date: getStringDate(today),
      },
      color: {
        background: 'rgb(207, 224, 252)',
        foreground: 'rgb(10, 71, 169)',
      },
    },
    {
      summary: 'Vue Meetup',
      description: '',
      start: {
        date: getStringDate(addDays(today, 1)),
      },
      end: {
        date: getStringDate(addDays(today, 5)),
      },
      color: {
        background: 'rgb(235, 205, 254)',
        foreground: 'rgb(110, 2, 177)',
      },
    },
    {
      summary: 'Angular Meetup',
      description:
        'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
      start: {
        date: getStringDate(addDays(today, -3)),
        time: '10:00',
      },
      end: {
        date: getStringDate(addDays(today, 3)),
        time: '14:00',
      },
      color: {
        background: 'rgb(199, 245, 217)',
        foreground: 'rgb(11, 65, 33)',
      },
    },
    {
      summary: 'React Meetup',
      description: '',
      start: {
        date: getStringDate(addDays(today, 5)),
      },
      end: {
        date: getStringDate(addDays(today, 8)),
      },
      color: {
        background: 'rgb(253, 216, 222)',
        foreground: 'rgb(121, 6, 25)',
      },
    },
    {
      summary: 'Meeting',
      description: '',
      start: {
        date: getStringDate(addDays(today, 1)),
        time: '8:00',
      },
      end: {
        date: getStringDate(addDays(today, 1)),
        time: '12:00',
      },
      color: {
        background: 'rgb(207, 224, 252)',
        foreground: 'black',
      },
    },
    {
      summary: 'Call',
      description: '',
      start: {
        date: getStringDate(addDays(today, 2)),
        time: '11:00',
      },
      end: {
        date: getStringDate(addDays(today, 2)),
        time: '14:00',
      },
      color: {
        background: 'black',
        foreground: 'black',
      },
    },
  ];

  return (
    <MDBCalendar defaultEvents={myEvents} />
  );
}

Event formats

Calendar events can be added with time in two different formats - 12h or 24h.

{
  summary: 'Call',
  start: {
    date: '08/09/2020',
    time: '10:00',
  },
  end: {
    date: '08/09/2020',
    time: '14:00',
  },
  color: {
    background: '#292929',
    foreground: '#f5f5f5',
  },
}
{
  summary: 'Call',
  start: {
    date: '08/09/2020',
    time: '10:00 AM',
  },
  end: {
    date: '08/09/2020',
    time: '02:00 PM',
  },
  color: {
    background: '#292929',
    foreground: '#f5f5f5',
  },
}

Monday first

Set the mondayFirst property to true so that Monday is the first day of the week.

March 2025
Month
MonTueWedThuFriSatSun
24
25
26
27
28
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
Angular Meetup
24
Angular Meetup
25
 
26
 
JS Conference
27
 
Vue Meetup
Meeting
28
 
 
Call
29
 
 
30
 
 
31
 
Vue Meetup
React Meetup
1
 
 
 
2
 
 
 
3
 
 
 
4
5
6
import React from 'react';
import { MDBCalendar } from 'mdb-react-calendar';

export default function App() {
  const today = new Date();

  const getStringDate = (date: Date) => date.toLocaleDateString('en-GB').replaceAll('.', '/');

  const addDays = (date: Date, days: number) => {
    return new Date(date.getFullYear(), date.getMonth(), date.getDate() + days);
  };

  const myEvents = [
    {
      summary: 'JS Conference',
      description: '',
      start: {
        date: getStringDate(today),
      },
      end: {
        date: getStringDate(today),
      },
      color: {
        background: '#1266F1',
        foreground: 'white',
      },
    },
    {
      summary: 'Vue Meetup',
      description: '',
      start: {
        date: getStringDate(addDays(today, 1)),
      },
      end: {
        date: getStringDate(addDays(today, 5)),
      },
      color: {
        background: 'rgb(235, 205, 254)',
        foreground: 'rgb(110, 2, 177)',
      },
    },
    {
      summary: 'Angular Meetup',
      description:
        'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
      start: {
        date: getStringDate(addDays(today, -3)),
        time: '10:00',
      },
      end: {
        date: getStringDate(addDays(today, 3)),
        time: '14:00',
      },
      color: {
        background: '#F93154',
        foreground: 'white',
      },
    },
    {
      summary: 'React Meetup',
      description: '',
      start: {
        date: getStringDate(addDays(today, 5)),
      },
      end: {
        date: getStringDate(addDays(today, 8)),
      },
      color: {
        background: '#39C0ED',
        foreground: 'white',
      },
    },
    {
      summary: 'Meeting',
      description: '',
      start: {
        date: getStringDate(addDays(today, 1)),
        time: '8:00',
      },
      end: {
        date: getStringDate(addDays(today, 1)),
        time: '12:00',
      },
      color: {
        background: '#1266F1',
        foreground: 'white',
      },
    },
    {
      summary: 'Call',
      description: '',
      start: {
        date: getStringDate(addDays(today, 2)),
        time: '11:00',
      },
      end: {
        date: getStringDate(addDays(today, 2)),
        time: '14:00',
      },
      color: {
        background: '#FFA900',
        foreground: 'white',
      },
    },
  ];

  return (
    <MDBCalendar defaultEvents={myEvents} mondayFirst />
  );
}

Default view

Set the defaultView property to week or list to change the start view. By default, it is a month.

March 2025
Week
Sun
23
Mon
24
Tue
25
Wed
26
Thu
27
Fri
28
Sat
29
Angular Meetup
 
 
 
JS Conference
 
Vue Meetup
Meeting
 
 
Call
 
 
1:00
2:00
3:00
4:00
5:00
6:00
7:00
8:00
Meeting
9:00
Meeting
10:00
Meeting
11:00
Meeting
Call
12:00
Call
13:00
Call
14:00
15:00
16:00
17:00
18:00
19:00
20:00
21:00
22:00
23:00
import React from 'react';
import { MDBCalendar } from 'mdb-react-calendar';

export default function App() {
  const today = new Date();

  const getStringDate = (date: Date) => date.toLocaleDateString('en-GB').replaceAll('.', '/');

  const addDays = (date: Date, days: number) => {
    return new Date(date.getFullYear(), date.getMonth(), date.getDate() + days);
  };

  const myEvents = [
    {
      summary: 'JS Conference',
      description: '',
      start: {
        date: getStringDate(today),
      },
      end: {
        date: getStringDate(today),
      },
      color: {
        background: 'rgb(207, 224, 252)',
        foreground: 'rgb(10, 71, 169)',
      },
    },
    {
      summary: 'Vue Meetup',
      description: '',
      start: {
        date: getStringDate(addDays(today, 1)),
      },
      end: {
        date: getStringDate(addDays(today, 5)),
      },
      color: {
        background: '#00B74A',
        foreground: 'white',
      },
    },
    {
      summary: 'Angular Meetup',
      description:
        'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
      start: {
        date: getStringDate(addDays(today, -3)),
        time: '10:00',
      },
      end: {
        date: getStringDate(addDays(today, 3)),
        time: '14:00',
      },
      color: {
        background: '#F93154',
        foreground: 'white',
      },
    },
    {
      summary: 'React Meetup',
      description: '',
      start: {
        date: getStringDate(addDays(today, 5)),
      },
      end: {
        date: getStringDate(addDays(today, 8)),
      },
      color: {
        background: '#39C0ED',
        foreground: 'white',
      },
    },
    {
      summary: 'Meeting',
      description: '',
      start: {
        date: getStringDate(addDays(today, 1)),
        time: '8:00',
      },
      end: {
        date: getStringDate(addDays(today, 1)),
        time: '12:00',
      },
      color: {
        background: 'rgb(207, 224, 252)',
        foreground: 'rgb(10, 71, 169)',
      },
    },
    {
      summary: 'Call',
      description: '',
      start: {
        date: getStringDate(addDays(today, 2)),
        time: '11:00',
      },
      end: {
        date: getStringDate(addDays(today, 2)),
        time: '14:00',
      },
      color: {
        background: '#FFA900',
        foreground: 'white',
      },
    },
  ];

  return (
    <MDBCalendar defaultEvents={myEvents} defaultView='week' />
  );
}

Twelve hour

By setting the twelveHour property to true, you get a 12-hour schedule.

March 2025
Week
Sun
23
Mon
24
Tue
25
Wed
26
Thu
27
Fri
28
Sat
29
1:00 am
2:00 am
3:00 am
4:00 am
5:00 am
6:00 am
7:00 am
8:00 am
9:00 am
10:00 am
11:00 am
12:00 pm
1:00 pm
2:00 pm
3:00 pm
4:00 pm
5:00 pm
6:00 pm
7:00 pm
8:00 pm
9:00 pm
10:00 pm
11:00 pm
March 2025
Week
Sun
23
Mon
24
Tue
25
Wed
26
Thu
27
Fri
28
Sat
29
Angular Meetup
 
 
 
JS Conference
 
Vue Meetup
Meeting
 
 
Call
 
 
1:00 am
2:00 am
3:00 am
4:00 am
5:00 am
6:00 am
7:00 am
8:00 am
Meeting
9:00 am
Meeting
10:00 am
Meeting
11:00 am
Meeting
Call
12:00 pm
Call
1:00 pm
Call
2:00 pm
3:00 pm
4:00 pm
5:00 pm
6:00 pm
7:00 pm
8:00 pm
9:00 pm
10:00 pm
11:00 pm
import React from 'react';
import { MDBCalendar } from 'mdb-react-calendar';

export default function App() {
  const today = new Date();

  const getStringDate = (date: Date) => date.toLocaleDateString('en-GB').replaceAll('.', '/');

  const addDays = (date: Date, days: number) => {
    return new Date(date.getFullYear(), date.getMonth(), date.getDate() + days);
  };

  const myEvents12h = [
  {
    summary: 'JS Conference',
    description: '',
    start: {
      date: getStringDate(today),
    },
    end: {
      date: getStringDate(today),
    },
    color: {
      background: '#1266F1',
      foreground: 'white',
    },
  },
  {
    summary: 'Vue Meetup',
    description: '',
    start: {
      date: getStringDate(addDays(today, 1)),
    },
    end: {
      date: getStringDate(addDays(today, 5)),
    },
    color: {
      background: '#00B74A',
      foreground: 'white',
    },
  },
  {
    summary: 'Angular Meetup',
    description:
      'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
    start: {
      date: getStringDate(addDays(today, -3)),
      time: '11:00 AM',
    },
    end: {
      date: getStringDate(addDays(today, 3)),
      time: '02:00 PM',
    },
    color: {
      background: '#F93154',
      foreground: 'white',
    },
  },
  {
    summary: 'React Meetup',
    description: '',
    start: {
      date: getStringDate(addDays(today, 5)),
    },
    end: {
      date: getStringDate(addDays(today, 8)),
    },
    color: {
      background: '#39C0ED',
      foreground: 'white',
    },
  },
  {
    summary: 'Meeting',
    description: '',
    start: {
      date: getStringDate(addDays(today, 1)),
      time: '8:00 AM',
    },
    end: {
      date: getStringDate(addDays(today, 1)),
      time: '12:00 PM',
    },
    color: {
      background: '#1266F1',
      foreground: 'white',
    },
  },
  {
    summary: 'Call',
    description: '',
    start: {
      date: getStringDate(addDays(today, 2)),
      time: '11:00 AM',
    },
    end: {
      date: getStringDate(addDays(today, 2)),
      time: '02:00 PM',
    },
    color: {
      background: '#FFA900',
      foreground: 'white',
    },
  },
];
  return (
    <MDBCalendar defaultEvents={myEvents12h} twelveHour />
  );
}

Customize captions

You can customize all captions very easily using properties. Detailed options are described in the API tab.

Marzec 2025
Miesiąc
NdPonWtŚrCzwPtSb
23
24
25
26
27
28
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
Angular Meetup
24
 
25
 
26
 
JS Conference
27
 
Vue Meetup
Meeting
28
 
 
Call
29
 
 
30
 
Vue Meetup
31
 
 
React Meetup
1
 
 
 
2
 
 
 
3
 
 
 
4
5
import React from 'react';
import { MDBCalendar } from 'mdb-react-calendar';

export default function App() {
  const today = new Date();

  const getStringDate = (date: Date) => date.toLocaleDateString('en-GB').replaceAll('.', '/');

  const addDays = (date: Date, days: number) => {
    return new Date(date.getFullYear(), date.getMonth(), date.getDate() + days);
  };

  const myEvents = [
    {
      summary: 'JS Conference',
      description: '',
      start: {
        date: getStringDate(today),
      },
      end: {
        date: getStringDate(today),
      },
      color: {
        background: 'rgb(207, 224, 252)',
        foreground: 'rgb(10, 71, 169)',
      },
    },
    {
      summary: 'Vue Meetup',
      description: '',
      start: {
        date: getStringDate(addDays(today, 1)),
      },
      end: {
        date: getStringDate(addDays(today, 5)),
      },
      color: {
        background: '#00B74A',
        foreground: 'white',
      },
    },
    {
      summary: 'Angular Meetup',
      description:
        'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
      start: {
        date: getStringDate(addDays(today, -3)),
        time: '10:00',
      },
      end: {
        date: getStringDate(addDays(today, 3)),
        time: '14:00',
      },
      color: {
        background: '#F93154',
        foreground: 'white',
      },
    },
    {
      summary: 'React Meetup',
      description: '',
      start: {
        date: getStringDate(addDays(today, 5)),
      },
      end: {
        date: getStringDate(addDays(today, 8)),
      },
      color: {
        background: '#39C0ED',
        foreground: 'white',
      },
    },
    {
      summary: 'Meeting',
      description: '',
      start: {
        date: getStringDate(addDays(today, 1)),
        time: '8:00',
      },
      end: {
        date: getStringDate(addDays(today, 1)),
        time: '12:00',
      },
      color: {
        background: 'rgb(207, 224, 252)',
        foreground: 'rgb(10, 71, 169)',
      },
    },
    {
      summary: 'Call',
      description: '',
      start: {
        date: getStringDate(addDays(today, 2)),
        time: '11:00',
      },
      end: {
        date: getStringDate(addDays(today, 2)),
        time: '14:00',
      },
      color: {
        background: '#FFA900',
        foreground: 'white',
      },
    },
  ];

  return (
    <MDBCalendar
      defaultEvents={myEvents}
      weekdays={['Nd', 'Pon', 'Wt', 'Śr', 'Czw', 'Pt', 'Sb']}
      months={[
        'Styczeń',
        'Luty',
        'Marzec',
        'Kwiecień',
        'Maj',
        'Czerwiec',
        'Lipiec',
        'Sierpień',
        'Wrzesień',
        'Październik',
        'Listopad',
        'Grudzień',
      ]}
      monthsShort={['Sty', 'Lut', 'Mar', 'Kwi', 'Maj', 'Cze', 'Lip', 'Sie', 'Wrz', 'Paź', 'Lis', 'Gru']}
      todayCaption='Dzisiaj'
      monthCaption='Miesiąc'
      weekCaption='Tydzień'
      listCaption='Lista'
      allDayCaption='Cały dzień'
      noEventsCaption='Brak wydarzeń'
      summaryCaption='Nazwa wydarzenia'
      descriptionCaption='Szczegółowy opis wydarzenia'
      startCaption='Początek'
      endCaption='Koniec'
      addEventModalCaption='Dodaj wydarzenie'
      editEventModalCaption='Edytuj wydarzenie'
      addCaption='Dodaj'
      editCaption='Edytuj'
      deleteCaption='Usuń'
      closeCaption='Zamknij'
    />
  );
}

Default date

A starting day can be easily set using the defaultDate property.

December 2019
Month
SunMonTueWedThuFriSat
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
1
2
3
4
5
6
7
8
9
10
11
import React from 'react';
import { MDBCalendar } from 'mdb-react-calendar';

export default function App() {
  const today = new Date();

  const getStringDate = (date: Date) => date.toLocaleDateString('en-GB').replaceAll('.', '/');

  const addDays = (date: Date, days: number) => {
    return new Date(date.getFullYear(), date.getMonth(), date.getDate() + days);
  };

  const myEvents = [
    {
      summary: 'JS Conference',
      description: '',
      start: {
        date: getStringDate(today),
      },
      end: {
        date: getStringDate(today),
      },
      color: {
        background: 'rgb(207, 224, 252)',
        foreground: 'rgb(10, 71, 169)',
      },
    },
    {
      summary: 'Vue Meetup',
      description: '',
      start: {
        date: getStringDate(addDays(today, 1)),
      },
      end: {
        date: getStringDate(addDays(today, 5)),
      },
      color: {
        background: '#00B74A',
        foreground: 'white',
      },
    },
    {
      summary: 'Angular Meetup',
      description:
        'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
      start: {
        date: getStringDate(addDays(today, -3)),
        time: '10:00',
      },
      end: {
        date: getStringDate(addDays(today, 3)),
        time: '14:00',
      },
      color: {
        background: '#F93154',
        foreground: 'white',
      },
    },
    {
      summary: 'React Meetup',
      description: '',
      start: {
        date: getStringDate(addDays(today, 5)),
      },
      end: {
        date: getStringDate(addDays(today, 8)),
      },
      color: {
        background: '#39C0ED',
        foreground: 'white',
      },
    },
    {
      summary: 'Meeting',
      description: '',
      start: {
        date: getStringDate(addDays(today, 1)),
        time: '8:00',
      },
      end: {
        date: getStringDate(addDays(today, 1)),
        time: '12:00',
      },
      color: {
        background: 'rgb(207, 224, 252)',
        foreground: 'rgb(10, 71, 169)',
      },
    },
    {
      summary: 'Call',
      description: '',
      start: {
        date: getStringDate(addDays(today, 2)),
        time: '11:00',
      },
      end: {
        date: getStringDate(addDays(today, 2)),
        time: '14:00',
      },
      color: {
        background: '#FFA900',
        foreground: 'white',
      },
    },
  ];

  return (
    <MDBCalendar defaultEvents={myEvents} defaultDate={new Date(2019, 11, 1)} />
  );
}

Readonly

The editable mode can be easily disabled using the readonly property.

March 2025
Month
SunMonTueWedThuFriSat
23
24
25
26
27
28
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
Angular Meetup
24
 
25
 
26
 
JS Conference
27
 
Vue Meetup
Meeting
28
 
 
Call
29
 
 
30
 
Vue Meetup
31
 
 
React Meetup
1
 
 
 
2
 
 
 
3
 
 
 
4
5
import React from 'react';
import { MDBCalendar } from 'mdb-react-calendar';

export default function App() {
  const today = new Date();

  const getStringDate = (date: Date) => date.toLocaleDateString('en-GB').replaceAll('.', '/');

  const addDays = (date: Date, days: number) => {
    return new Date(date.getFullYear(), date.getMonth(), date.getDate() + days);
  };

  const myEvents = [
    {
      summary: 'JS Conference',
      description: '',
      start: {
        date: getStringDate(today),
      },
      end: {
        date: getStringDate(today),
      },
      color: {
        background: 'rgb(207, 224, 252)',
        foreground: 'rgb(10, 71, 169)',
      },
    },
    {
      summary: 'Vue Meetup',
      description: '',
      start: {
        date: getStringDate(addDays(today, 1)),
      },
      end: {
        date: getStringDate(addDays(today, 5)),
      },
      color: {
        background: '#00B74A',
        foreground: 'white',
      },
    },
    {
      summary: 'Angular Meetup',
      description:
        'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
      start: {
        date: getStringDate(addDays(today, -3)),
        time: '10:00',
      },
      end: {
        date: getStringDate(addDays(today, 3)),
        time: '14:00',
      },
      color: {
        background: '#F93154',
        foreground: 'white',
      },
    },
    {
      summary: 'React Meetup',
      description: '',
      start: {
        date: getStringDate(addDays(today, 5)),
      },
      end: {
        date: getStringDate(addDays(today, 8)),
      },
      color: {
        background: '#39C0ED',
        foreground: 'white',
      },
    },
    {
      summary: 'Meeting',
      description: '',
      start: {
        date: getStringDate(addDays(today, 1)),
        time: '8:00',
      },
      end: {
        date: getStringDate(addDays(today, 1)),
        time: '12:00',
      },
      color: {
        background: 'rgb(207, 224, 252)',
        foreground: 'rgb(10, 71, 169)',
      },
    },
    {
      summary: 'Call',
      description: '',
      start: {
        date: getStringDate(addDays(today, 2)),
        time: '11:00',
      },
      end: {
        date: getStringDate(addDays(today, 2)),
        time: '14:00',
      },
      color: {
        background: '#FFA900',
        foreground: 'white',
      },
    },
  ];

  return (
    <MDBCalendar defaultEvents={myEvents} readonly />
  );
}

Readonly events

The editable mode for any event can be easily disabled by adding readonly attribute in the event's dataset.

March 2025
Month
SunMonTueWedThuFriSat
23
24
25
26
27
28
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
 
31
 
1
 
 
2
 
 
3
 
 
4
5
March 2025
Month
SunMonTueWedThuFriSat
23
24
25
26
27
28
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
Readonly event
24
 
25
 
26
 
Readonly event
27
 
Vue Meetup
Meeting
28
 
 
Readonly event
29
 
 
30
 
Vue Meetup
31
 
 
React Meetup
1
 
 
 
2
 
 
 
3
 
 
 
4
5
import React from 'react';
import { MDBCalendar } from 'mdb-react-calendar';

export default function App() {
  const today = new Date();

  const getStringDate = (date: Date) => date.toLocaleDateString('en-GB').replaceAll('.', '/');

  const addDays = (date: Date, days: number) => {
    return new Date(date.getFullYear(), date.getMonth(), date.getDate() + days);
  };

  const myEvents = [
    {
      summary: 'Readonly event',
      description: '',
      start: {
        date: getStringDate(today),
      },
      end: {
        date: getStringDate(today),
      },
      color: {
        background: 'rgb(207, 224, 252)',
        foreground: 'rgb(10, 71, 169)',
      },
      readonly: true,
    },
    {
      summary: 'Vue Meetup',
      description: '',
      start: {
        date: getStringDate(addDays(today, 1)),
      },
      end: {
        date: getStringDate(addDays(today, 5)),
      },
      color: {
        background: '#00B74A',
        foreground: 'white',
      },
    },
    {
      summary: 'Readonly event',
      description:
        'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
      start: {
        date: getStringDate(addDays(today, -3)),
        time: '10:00',
      },
      end: {
        date: getStringDate(addDays(today, 3)),
        time: '14:00',
      },
      color: {
        background: '#F93154',
        foreground: 'white',
      },
      readonly: true,
    },
    {
      summary: 'React Meetup',
      description: '',
      start: {
        date: getStringDate(addDays(today, 5)),
      },
      end: {
        date: getStringDate(addDays(today, 8)),
      },
      color: {
        background: '#39C0ED',
        foreground: 'white',
      },
    },
    {
      summary: 'Meeting',
      description: '',
      start: {
        date: getStringDate(addDays(today, 1)),
        time: '8:00',
      },
      end: {
        date: getStringDate(addDays(today, 1)),
        time: '12:00',
      },
      color: {
        background: 'rgb(207, 224, 252)',
        foreground: 'rgb(10, 71, 169)',
      },
    },
    {
      summary: 'Readonly event',
      description: '',
      start: {
        date: getStringDate(addDays(today, 2)),
        time: '11:00',
      },
      end: {
        date: getStringDate(addDays(today, 2)),
        time: '14:00',
      },
      color: {
        background: '#FFA900',
        foreground: 'white',
      },
      readonly: true,
    },
  ];

  return (
    <MDBCalendar defaultEvents={myEvents} />
  );
}

Disabled modules

Some of the modules can be disabled via properties. Here's an example without tooltips and some toolbar action elements:

March 2025
SunMonTueWedThuFriSat
23
24
25
26
27
28
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
Angular Meetup
24
 
25
 
26
 
JS Conference
27
 
Vue Meetup
Meeting
28
 
 
Call
29
 
 
30
 
Vue Meetup
31
 
 
React Meetup
1
 
 
 
2
 
 
 
3
 
 
 
4
5
import React from 'react';
import { MDBCalendar } from 'mdb-react-calendar';

export default function App() {
  const today = new Date();

  const getStringDate = (date: Date) => date.toLocaleDateString('en-GB').replaceAll('.', '/');

  const addDays = (date: Date, days: number) => {
    return new Date(date.getFullYear(), date.getMonth(), date.getDate() + days);
  };

  const myEvents = [
    {
      summary: 'JS Conference',
      description: '',
      start: {
        date: getStringDate(today),
      },
      end: {
        date: getStringDate(today),
      },
      color: {
        background: 'rgb(207, 224, 252)',
        foreground: 'rgb(10, 71, 169)',
      },
    },
    {
      summary: 'Vue Meetup',
      description: '',
      start: {
        date: getStringDate(addDays(today, 1)),
      },
      end: {
        date: getStringDate(addDays(today, 5)),
      },
      color: {
        background: '#00B74A',
        foreground: 'white',
      },
    },
    {
      summary: 'Angular Meetup',
      description:
        'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
      start: {
        date: getStringDate(addDays(today, -3)),
        time: '10:00',
      },
      end: {
        date: getStringDate(addDays(today, 3)),
        time: '14:00',
      },
      color: {
        background: '#F93154',
        foreground: 'white',
      },
    },
    {
      summary: 'React Meetup',
      description: '',
      start: {
        date: getStringDate(addDays(today, 5)),
      },
      end: {
        date: getStringDate(addDays(today, 8)),
      },
      color: {
        background: '#39C0ED',
        foreground: 'white',
      },
    },
    {
      summary: 'Meeting',
      description: '',
      start: {
        date: getStringDate(addDays(today, 1)),
        time: '8:00',
      },
      end: {
        date: getStringDate(addDays(today, 1)),
        time: '12:00',
      },
      color: {
        background: 'rgb(207, 224, 252)',
        foreground: 'rgb(10, 71, 169)',
      },
    },
    {
      summary: 'Call',
      description: '',
      start: {
        date: getStringDate(addDays(today, 2)),
        time: '11:00',
      },
      end: {
        date: getStringDate(addDays(today, 2)),
        time: '14:00',
      },
      color: {
        background: '#FFA900',
        foreground: 'white',
      },
    },
  ];

  return (
    <MDBCalendar
      disableTooltips
      disableNavigation
      disableSelect
      disableEventButton
      defaultEvents={myEvents}
    />
  );
}

Blur

Past events can be blurred with the blur property.

March 2025
Month
SunMonTueWedThuFriSat
23
24
25
26
27
28
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
Angular Meetup
24
 
25
 
26
 
JS Conference
27
 
Vue Meetup
Meeting
28
 
 
Call
29
 
 
30
 
Vue Meetup
31
 
 
React Meetup
1
 
 
 
2
 
 
 
3
 
 
 
4
5
import React from 'react';
import { MDBCalendar } from 'mdb-react-calendar';

export default function App() {
  const today = new Date();

  const getStringDate = (date: Date) => date.toLocaleDateString('en-GB').replaceAll('.', '/');

  const addDays = (date: Date, days: number) => {
    return new Date(date.getFullYear(), date.getMonth(), date.getDate() + days);
  };

  const myEvents = [
    {
      summary: 'JS Conference',
      description: '',
      start: {
        date: getStringDate(today),
      },
      end: {
        date: getStringDate(today),
      },
      color: {
        background: 'rgb(207, 224, 252)',
        foreground: 'rgb(10, 71, 169)',
      },
    },
    {
      summary: 'Vue Meetup',
      description: '',
      start: {
        date: getStringDate(addDays(today, 1)),
      },
      end: {
        date: getStringDate(addDays(today, 5)),
      },
      color: {
        background: '#00B74A',
        foreground: 'white',
      },
    },
    {
      summary: 'Angular Meetup',
      description:
        'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
      start: {
        date: getStringDate(addDays(today, -3)),
        time: '10:00',
      },
      end: {
        date: getStringDate(addDays(today, 3)),
        time: '14:00',
      },
      color: {
        background: '#F93154',
        foreground: 'white',
      },
    },
    {
      summary: 'React Meetup',
      description: '',
      start: {
        date: getStringDate(addDays(today, 5)),
      },
      end: {
        date: getStringDate(addDays(today, 8)),
      },
      color: {
        background: '#39C0ED',
        foreground: 'white',
      },
    },
    {
      summary: 'Meeting',
      description: '',
      start: {
        date: getStringDate(addDays(today, 1)),
        time: '8:00',
      },
      end: {
        date: getStringDate(addDays(today, 1)),
        time: '12:00',
      },
      color: {
        background: 'rgb(207, 224, 252)',
        foreground: 'rgb(10, 71, 169)',
      },
    },
    {
      summary: 'Call',
      description: '',
      start: {
        date: getStringDate(addDays(today, 2)),
        time: '11:00',
      },
      end: {
        date: getStringDate(addDays(today, 2)),
        time: '14:00',
      },
      color: {
        background: '#FFA900',
        foreground: 'white',
      },
    },
  ];

  return (
    <MDBCalendar defaultEvents={myEvents} blur />
  );
}

Custom attributes

You can add your own attributes to existing and new events. Below is an example with the id attribute.

March 2025
Month
SunMonTueWedThuFriSat
23
24
25
26
27
28
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
Angular Meetup
24
 
25
 
26
 
JS Conference
27
 
Vue Meetup
Meeting
28
 
 
Call
29
 
 
30
 
Vue Meetup
31
 
 
React Meetup
1
 
 
 
2
 
 
 
3
 
 
 
4
5
import React from 'react';
import { MDBCalendar } from 'mdb-react-calendar';

export default function App() {
  const today = new Date();

  const getStringDate = (date: Date) => date.toLocaleDateString('en-GB').replaceAll('.', '/');

  const addDays = (date: Date, days: number) => {
    return new Date(date.getFullYear(), date.getMonth(), date.getDate() + days);
  };

  const myEvents = [
    {
      summary: 'JS Conference',
      description: '',
      start: {
        date: getStringDate(today),
      },
      end: {
        date: getStringDate(today),
      },
      color: {
        background: 'rgb(207, 224, 252)',
        foreground: 'rgb(10, 71, 169)',
      },
      id: 1
    },
    {
      summary: 'Vue Meetup',
      description: '',
      start: {
        date: getStringDate(addDays(today, 1)),
      },
      end: {
        date: getStringDate(addDays(today, 5)),
      },
      color: {
        background: '#00B74A',
        foreground: 'white',
      },
      id: 2
    },
    {
      summary: 'Angular Meetup',
      description:
        'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
      start: {
        date: getStringDate(addDays(today, -3)),
        time: '10:00',
      },
      end: {
        date: getStringDate(addDays(today, 3)),
        time: '14:00',
      },
      color: {
        background: '#F93154',
        foreground: 'white',
      },
      id: 3
    },
    {
      summary: 'React Meetup',
      description: '',
      start: {
        date: getStringDate(addDays(today, 5)),
      },
      end: {
        date: getStringDate(addDays(today, 8)),
      },
      color: {
        background: '#39C0ED',
        foreground: 'white',
      },
      id: 4
    },
    {
      summary: 'Meeting',
      description: '',
      start: {
        date: getStringDate(addDays(today, 1)),
        time: '8:00',
      },
      end: {
        date: getStringDate(addDays(today, 1)),
        time: '12:00',
      },
      color: {
        background: 'rgb(207, 224, 252)',
        foreground: 'rgb(10, 71, 169)',
      },
      id: 5
    },
    {
      summary: 'Call',
      description: '',
      start: {
        date: getStringDate(addDays(today, 2)),
        time: '11:00',
      },
      end: {
        date: getStringDate(addDays(today, 2)),
        time: '14:00',
      },
      color: {
        background: '#FFA900',
        foreground: 'white',
      },
      id: 6
    },
  ];

  return (
    <MDBCalendar defaultEvents={myEvents} />
  );
}

Calendar - API


Import

import { MDBCalendar } from 'mdb-react-calendar';

Properties

MDBCalendar

Name Type Default Description Example
addCaption React.ReactNode 'Add' Defines caption for add event button. <MDBCalendar addCaption='' />
addEventModalCaption React.ReactNode 'Add an event' Defines caption for add event modal title. <MDBCalendar addEventModalCaption='' />
allDayCaption React.ReactNode 'All day event' Defines caption for all day event checkbox. <MDBCalendar allDayCaption='' />
blur boolean false Blur past events <MDBCalendar blur />
closeCaption React.ReactNode 'Close' Defines caption for close button. <MDBCalendar closeCaption='' />
defaultDate Date new Date() Defines the default starting date. <MDBCalendar defaultDate={exampleDate} />
defaultEvents CaleandarEvent[] [] Defines default events of the calendar. <MDBCalendar defaultEvents={myEvents} />
defaultView "month" | "week" | "list" 'month' Defines default view. <MDBCalendar defaultView='week' />
deleteCaption React.ReactNode 'Remove' Defines caption for remove event button. <MDBCalendar deleteCaption='' />
descriptionCaption React.ReactNode 'Description' Defines caption for description input label. <MDBCalendar descriptionCaption='' />
disableEventButton boolean false Disable event button module <MDBCalendar disableEventButton />
disableNavigation boolean false Disable navigation module <MDBCalendar disableNavigation />
disableSelect boolean false Disable select module <MDBCalendar disableSelect />
disableTooltips boolean false Disable tooltips module <MDBCalendar disableTooltips />
editCaption React.ReactNode 'Edit' Defines caption for edit event button. <MDBCalendar editCaption='' />
editEventModalCaption React.ReactNode 'Edit an event' Defines caption for edit event modal title. <MDBCalendar editEventModalCaption='' />
endCaption React.ReactNode 'End' Defines caption for end input label. <MDBCalendar endCaption='' />
hours Array<string> [ '1:00', '2:00', '3:00', '4:00', '5:00', '6:00', '7:00', '8:00', '9:00', '10:00', '11:00', '12:00', '13:00', '14:00', '15:00', '16:00', '17:00', '18:00', '19:00', '20:00', '21:00', '22:00', '23:00', ] Changes hours displayed in week view. <MDBCalendar hours={hours} />
listCaption React.ReactNode 'list' Defines caption for list button. <MDBCalendar listCaption='' />
mondayFirst boolean false Changes first day of week to monday. <MDBCalendar mondayFirst />
mondayWeekdays Array<string> ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun'] Defines shortened days displayed names. <MDBCalendar mondayWeekdays={exampleDays} />
monthCaption React.ReactNode 'month' Defines caption for month button. <MDBCalendar monthCaption='' />
months Array<string> ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'] Defines months displayed names. <MDBCalendar months={exampleMonths} />
monthsShort Array<string> ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'] Defines shortened months displayed names. <MDBCalendar monthsShort={exampleMonths} />
noEventsCaption React.ReactNode 'No events' Defines caption for empty list view. <MDBCalendar noEventsCaption='' />
readonly boolean false Disables event's edition. <MDBCalendar readonly />
startCaption React.ReactNode 'Start' Defines caption for start input label. <MDBCalendar startCaption='' />
summaryCaption React.ReactNode 'Summary' Defines caption for summary input label. <MDBCalendar summaryCaption='' />
todayCaption React.ReactNode 'today' Defines caption for today. <MDBCalendar todayCaption='' />
twelveHour boolean false Defines twelve hour mode. <MDBCalendar twelveHours />
weekCaption React.ReactNode 'week' Defines caption for week button. <MDBCalendar weekCaption='' />
weekdays Array<string> ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'] Disables event's edition. <MDBCalendar weekdays={weekdays} />

Events

Name Type Description
onChange (events: CalendarEvent[]) => void Emitted when the events chage.
onEventClick (e: MouseEvent) => void Emitted on event click.
onPrev () => void Emitted when the prev method triggers.
onNext () => void Emitted when the next method triggers.
onToday () => void Emitted when the today method triggers.
onViewChange (view: 'month' | 'week' | 'list') => void Emitted when the changeView method triggers.
onAddEvent (event: CalendarEvent) => void Emitted when a new event is added.
onEditEvent (events: CalendarEvent[]) => void Emitted when any event is editted.
onDeleteEvent (event: CalendarEvent) => void Emitted when any event is deleted.

Advanced types

CalendarEvent

type CalendarEvent = {
  summary: string;
  description?: string;
  start: { date: string; time?: string };
  end: { date: string; time?: string };
  color: {
    background: string;
    foreground?: string;
  };
  readonly?: boolean;
};